/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* Copy the first part of user declarations.  */
#line 28 "conf_parser.y" /* yacc.c:339  */


#define YY_NO_UNPUT
#include <sys/types.h>
#include <string.h>

#include "config.h"
#include "stdinc.h"
#include "ircd.h"
#include "list.h"
#include "conf.h"
#include "conf_class.h"
#include "event.h"
#include "log.h"
#include "client.h"	/* for UMODE_ALL only */
#include "irc_string.h"
#include "memory.h"
#include "modules.h"
#include "s_serv.h"
#include "hostmask.h"
#include "send.h"
#include "listener.h"
#include "resv.h"
#include "numeric.h"
#include "s_user.h"
#include "motd.h"
#include "hook.h"
#include "ssl.h"

#include <openssl/rsa.h>
#include <openssl/bio.h>
#include <openssl/pem.h>
#include <openssl/dh.h>

#include "rsa.h"

int yylex(void);

static struct
{
  struct {
    dlink_list list;
  } mask,
    leaf,
    hub;

  struct {
    char buf[IRCD_BUFSIZE];
  } name,
    user,
    host,
    addr,
    bind,
    file,
    cert,
    ca,
    profile,
    rpass,
    spass,
    class,
    reason;

  struct {
    unsigned int value;
  } flags,
    modes,
    snomask_local,
    snomask_remote,
    size,
    type,
    port,
    aftype,
    ping_freq,
    max_perip,
    con_freq,
    min_idle,
    max_idle,
    max_total,
    max_global,
    max_local,
    soft_sendq,
    flood_burst,
    flood_limit,
    max_sendq,
    max_recvq,
    cidr_bitlen_ipv4,
    cidr_bitlen_ipv6,
    number_per_cidr,
    max_channels;

  struct
  {
    struct alias_entry *alias;
    struct sslprofile *ssl;
    struct sslprofile_identity *identity;
    struct dnsbl_entry *dnsbl;
  } ptr;
} block_state;

static void
reset_block_state(void)
{
  dlink_node *ptr = NULL, *ptr_next = NULL;

  DLINK_FOREACH_SAFE(ptr, ptr_next, block_state.mask.list.head)
  {
    MyFree(ptr->data);
    dlinkDelete(ptr, &block_state.mask.list);
    free_dlink_node(ptr);
  }

  DLINK_FOREACH_SAFE(ptr, ptr_next, block_state.leaf.list.head)
  {
    MyFree(ptr->data);
    dlinkDelete(ptr, &block_state.leaf.list);
    free_dlink_node(ptr);
  }

  DLINK_FOREACH_SAFE(ptr, ptr_next, block_state.hub.list.head)
  {
    MyFree(ptr->data);
    dlinkDelete(ptr, &block_state.hub.list);
    free_dlink_node(ptr);
  }

  memset(&block_state, 0, sizeof(block_state));
}


#line 196 "conf_parser.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "y.tab.h".  */
#ifndef YY_YY_CONF_PARSER_H_INCLUDED
# define YY_YY_CONF_PARSER_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    ACCEPT_PASSWORD = 258,
    ACCOUNT_WHOIS = 259,
    ADMIN = 260,
    AFTYPE = 261,
    ANTI_NICK_FLOOD = 262,
    ANTI_SPAM_EXIT_MESSAGE_TIME = 263,
    AUTOCONN = 264,
    BYTES = 265,
    KBYTES = 266,
    MBYTES = 267,
    CA_FILE = 268,
    CALLER_ID_WAIT = 269,
    CAN_FLOOD = 270,
    CHANNEL = 271,
    CIDR_BITLEN_IPV4 = 272,
    CIDR_BITLEN_IPV6 = 273,
    CIPHER_LIST = 274,
    CLASS = 275,
    CLOAK_KEY1 = 276,
    CLOAK_KEY2 = 277,
    CLOAK_KEY3 = 278,
    CLOAK_WHOIS_ACTUALLY = 279,
    CONNECT = 280,
    CONNECTFREQ = 281,
    CYCLE_ON_HOST_CHANGE = 282,
    DEFAULT_FLOODCOUNT = 283,
    DEFAULT_FLOODTIME = 284,
    DEFAULT_SPLIT_SERVER_COUNT = 285,
    DEFAULT_SPLIT_USER_COUNT = 286,
    DEFER = 287,
    DENY = 288,
    DESCRIPTION = 289,
    DIE = 290,
    DISABLE_AUTH = 291,
    DISABLE_CHMODES = 292,
    DISABLE_FAKE_CHANNELS = 293,
    DISABLE_REMOTE_COMMANDS = 294,
    DNSBL = 295,
    DNSBL_EXEMPT = 296,
    DOTS_IN_IDENT = 297,
    DURATION = 298,
    EMAIL = 299,
    ENABLE_EXTBANS = 300,
    ENABLE_FORWARDING = 301,
    ENCRYPTED = 302,
    EXCEED_LIMIT = 303,
    EXEMPT = 304,
    FAILED_OPER_NOTICE = 305,
    FLATTEN_LINKS = 306,
    FLOOD_BURST = 307,
    FLOOD_LIMIT = 308,
    GECOS = 309,
    GENERAL = 310,
    GLINE = 311,
    GLINE_DURATION = 312,
    GLINE_ENABLE = 313,
    GLINE_EXEMPT = 314,
    GLINE_MIN_CIDR = 315,
    GLINE_MIN_CIDR6 = 316,
    GLINE_REQUEST_DURATION = 317,
    HAVENT_READ_CONF = 318,
    HIDDEN = 319,
    HIDDEN_NAME = 320,
    HIDE_IDLE_FROM_OPERS = 321,
    HIDE_SERVER_IPS = 322,
    HIDE_SERVERS = 323,
    HIDE_SERVICES = 324,
    HIDE_SPOOF_IPS = 325,
    HOST = 326,
    HTTP = 327,
    HUB = 328,
    HUB_MASK = 329,
    IDENTITY = 330,
    IGNORE_BOGUS_TS = 331,
    INVISIBLE_ON_CONNECT = 332,
    INVITE_THROTTLE = 333,
    IP = 334,
    IRCD_AUTH = 335,
    IRCD_FLAGS = 336,
    IRCD_SID = 337,
    JOIN_FLOOD_COUNT = 338,
    JOIN_FLOOD_TIME = 339,
    KILL = 340,
    KILL_CHASE_TIME_LIMIT = 341,
    KLINE = 342,
    KLINE_EXEMPT = 343,
    KLINE_REASON = 344,
    KNOCK_DELAY = 345,
    KNOCK_DELAY_CHANNEL = 346,
    LEAF_MASK = 347,
    T_LINK = 348,
    LINKS_DELAY = 349,
    LISTEN = 350,
    MASK = 351,
    MATCH = 352,
    MAX_ACCEPT = 353,
    MAX_BANS = 354,
    MAX_CHANNELS = 355,
    MAX_CHANS_PER_USER = 356,
    MAX_GLOBAL = 357,
    MAX_IDLE = 358,
    MAX_LOCAL = 359,
    MAX_NICK_CHANGES = 360,
    MAX_NICK_LENGTH = 361,
    MAX_NICK_TIME = 362,
    MAX_NUMBER = 363,
    MAX_TARGETS = 364,
    MAX_TOPIC_LENGTH = 365,
    MAX_WATCH = 366,
    MIN_IDLE = 367,
    MIN_NONWILDCARD = 368,
    MIN_NONWILDCARD_SIMPLE = 369,
    MODULE = 370,
    MODULES = 371,
    MOTD = 372,
    NAME = 373,
    NEED_ACCOUNT = 374,
    NEED_IDENT = 375,
    NEED_PASSWORD = 376,
    NETWORK_DESC = 377,
    NETWORK_NAME = 378,
    NICK = 379,
    NICK_COLLIDE_REALHOST = 380,
    NO_CREATE_ON_SPLIT = 381,
    NO_JOIN_ON_SPLIT = 382,
    NO_OPER_FLOOD = 383,
    NO_TILDE = 384,
    NUMBER = 385,
    NUMBER_PER_CIDR = 386,
    NUMBER_PER_IP = 387,
    OPER_ONLY = 388,
    OPER_ONLY_UMODES = 389,
    OPER_PASS_RESV = 390,
    OPER_SNOMASKS = 391,
    OPER_UMODES = 392,
    OPERATOR = 393,
    OPERS_BYPASS_CALLERID = 394,
    PACE_WAIT = 395,
    PACE_WAIT_SIMPLE = 396,
    PASSWORD = 397,
    PATH = 398,
    PING_COOKIE = 399,
    PING_TIME = 400,
    PORT = 401,
    QSTRING = 402,
    QUIET_ON_BAN = 403,
    RANDOM_IDLE = 404,
    REASON = 405,
    REDIRPORT = 406,
    REDIRSERV = 407,
    REHASH = 408,
    REMOTE = 409,
    REMOTEBAN = 410,
    RESV = 411,
    RESV_EXEMPT = 412,
    RSA_PRIVATE_KEY_FILE = 413,
    RSA_PUBLIC_KEY_FILE = 414,
    SCRIPT = 415,
    SECONDS = 416,
    MINUTES = 417,
    HOURS = 418,
    DAYS = 419,
    WEEKS = 420,
    MONTHS = 421,
    YEARS = 422,
    SEND_PASSWORD = 423,
    SENDQ = 424,
    SERVERHIDE = 425,
    SERVERINFO = 426,
    SERVER_NAME = 427,
    SESSION = 428,
    SHORT_MOTD = 429,
    T_SNOMASKS = 430,
    SOFT_SENDQ = 431,
    SPOOF = 432,
    SPOOF_NOTICE = 433,
    SQUIT = 434,
    SSL_CERTIFICATE_FILE = 435,
    SSL_CERTIFICATE_FINGERPRINT = 436,
    SSL_CONNECTION_REQUIRED = 437,
    SSL_DH_ELLIPTIC_CURVE = 438,
    SSL_DH_PARAM_FILE = 439,
    SSL_MESSAGE_DIGEST_ALGORITHM = 440,
    STATS_E_DISABLED = 441,
    STATS_I_OPER_ONLY = 442,
    STATS_K_OPER_ONLY = 443,
    STATS_M_OPER_ONLY = 444,
    STATS_O_OPER_ONLY = 445,
    STATS_P_OPER_ONLY = 446,
    STATS_U_OPER_ONLY = 447,
    T_ALIAS = 448,
    T_ALL = 449,
    T_BOTS = 450,
    T_CALLERID = 451,
    T_CCONN = 452,
    T_CLUSTER = 453,
    T_DEAF = 454,
    T_DEBUG = 455,
    T_DLINE = 456,
    T_FARCONNECT = 457,
    T_FILE = 458,
    T_FULL = 459,
    T_HIDECHANNELS = 460,
    T_GLOBOPS = 461,
    T_INVISIBLE = 462,
    T_IPV4 = 463,
    T_IPV6 = 464,
    T_LOCOPS = 465,
    T_LOG = 466,
    T_MAX_CLIENTS = 467,
    T_NCHANGE = 468,
    T_NOCTCP = 469,
    T_NONONREG = 470,
    T_OPERWALL = 471,
    T_RECVQ = 472,
    T_REJ = 473,
    T_RESTART = 474,
    T_SASL_NAME = 475,
    T_SERVER = 476,
    T_SERVICE = 477,
    T_SERVICES_NAME = 478,
    T_SERVNOTICE = 479,
    T_SET = 480,
    T_SHARED = 481,
    T_SIZE = 482,
    T_SKILL = 483,
    T_SOFTCALLERID = 484,
    T_SPY = 485,
    T_SSL = 486,
    SSLPROFILE = 487,
    SSL_PROFILE = 488,
    T_UMODES = 489,
    T_UNAUTH = 490,
    T_UNDLINE = 491,
    T_UNLIMITED = 492,
    T_UNRESV = 493,
    T_UNXLINE = 494,
    T_WALLOP = 495,
    T_WALLOPS = 496,
    T_WALLUSERS = 497,
    T_WEBIRC = 498,
    TBOOL = 499,
    THROTTLE_NUM = 500,
    THROTTLE_TIME = 501,
    TKLINE_EXPIRE_NOTICES = 502,
    TMASKED = 503,
    TS_MAX_DELTA = 504,
    TS_WARN_DELTA = 505,
    TWODOTS = 506,
    TYPE = 507,
    UNKLINE = 508,
    USE_LOGGING = 509,
    USE_TARGET_CHANGE = 510,
    USER = 511,
    VHOST = 512,
    VHOST6 = 513,
    WARN_NO_NLINE = 514,
    WLINE = 515,
    XLINE = 516
  };
#endif
/* Tokens.  */
#define ACCEPT_PASSWORD 258
#define ACCOUNT_WHOIS 259
#define ADMIN 260
#define AFTYPE 261
#define ANTI_NICK_FLOOD 262
#define ANTI_SPAM_EXIT_MESSAGE_TIME 263
#define AUTOCONN 264
#define BYTES 265
#define KBYTES 266
#define MBYTES 267
#define CA_FILE 268
#define CALLER_ID_WAIT 269
#define CAN_FLOOD 270
#define CHANNEL 271
#define CIDR_BITLEN_IPV4 272
#define CIDR_BITLEN_IPV6 273
#define CIPHER_LIST 274
#define CLASS 275
#define CLOAK_KEY1 276
#define CLOAK_KEY2 277
#define CLOAK_KEY3 278
#define CLOAK_WHOIS_ACTUALLY 279
#define CONNECT 280
#define CONNECTFREQ 281
#define CYCLE_ON_HOST_CHANGE 282
#define DEFAULT_FLOODCOUNT 283
#define DEFAULT_FLOODTIME 284
#define DEFAULT_SPLIT_SERVER_COUNT 285
#define DEFAULT_SPLIT_USER_COUNT 286
#define DEFER 287
#define DENY 288
#define DESCRIPTION 289
#define DIE 290
#define DISABLE_AUTH 291
#define DISABLE_CHMODES 292
#define DISABLE_FAKE_CHANNELS 293
#define DISABLE_REMOTE_COMMANDS 294
#define DNSBL 295
#define DNSBL_EXEMPT 296
#define DOTS_IN_IDENT 297
#define DURATION 298
#define EMAIL 299
#define ENABLE_EXTBANS 300
#define ENABLE_FORWARDING 301
#define ENCRYPTED 302
#define EXCEED_LIMIT 303
#define EXEMPT 304
#define FAILED_OPER_NOTICE 305
#define FLATTEN_LINKS 306
#define FLOOD_BURST 307
#define FLOOD_LIMIT 308
#define GECOS 309
#define GENERAL 310
#define GLINE 311
#define GLINE_DURATION 312
#define GLINE_ENABLE 313
#define GLINE_EXEMPT 314
#define GLINE_MIN_CIDR 315
#define GLINE_MIN_CIDR6 316
#define GLINE_REQUEST_DURATION 317
#define HAVENT_READ_CONF 318
#define HIDDEN 319
#define HIDDEN_NAME 320
#define HIDE_IDLE_FROM_OPERS 321
#define HIDE_SERVER_IPS 322
#define HIDE_SERVERS 323
#define HIDE_SERVICES 324
#define HIDE_SPOOF_IPS 325
#define HOST 326
#define HTTP 327
#define HUB 328
#define HUB_MASK 329
#define IDENTITY 330
#define IGNORE_BOGUS_TS 331
#define INVISIBLE_ON_CONNECT 332
#define INVITE_THROTTLE 333
#define IP 334
#define IRCD_AUTH 335
#define IRCD_FLAGS 336
#define IRCD_SID 337
#define JOIN_FLOOD_COUNT 338
#define JOIN_FLOOD_TIME 339
#define KILL 340
#define KILL_CHASE_TIME_LIMIT 341
#define KLINE 342
#define KLINE_EXEMPT 343
#define KLINE_REASON 344
#define KNOCK_DELAY 345
#define KNOCK_DELAY_CHANNEL 346
#define LEAF_MASK 347
#define T_LINK 348
#define LINKS_DELAY 349
#define LISTEN 350
#define MASK 351
#define MATCH 352
#define MAX_ACCEPT 353
#define MAX_BANS 354
#define MAX_CHANNELS 355
#define MAX_CHANS_PER_USER 356
#define MAX_GLOBAL 357
#define MAX_IDLE 358
#define MAX_LOCAL 359
#define MAX_NICK_CHANGES 360
#define MAX_NICK_LENGTH 361
#define MAX_NICK_TIME 362
#define MAX_NUMBER 363
#define MAX_TARGETS 364
#define MAX_TOPIC_LENGTH 365
#define MAX_WATCH 366
#define MIN_IDLE 367
#define MIN_NONWILDCARD 368
#define MIN_NONWILDCARD_SIMPLE 369
#define MODULE 370
#define MODULES 371
#define MOTD 372
#define NAME 373
#define NEED_ACCOUNT 374
#define NEED_IDENT 375
#define NEED_PASSWORD 376
#define NETWORK_DESC 377
#define NETWORK_NAME 378
#define NICK 379
#define NICK_COLLIDE_REALHOST 380
#define NO_CREATE_ON_SPLIT 381
#define NO_JOIN_ON_SPLIT 382
#define NO_OPER_FLOOD 383
#define NO_TILDE 384
#define NUMBER 385
#define NUMBER_PER_CIDR 386
#define NUMBER_PER_IP 387
#define OPER_ONLY 388
#define OPER_ONLY_UMODES 389
#define OPER_PASS_RESV 390
#define OPER_SNOMASKS 391
#define OPER_UMODES 392
#define OPERATOR 393
#define OPERS_BYPASS_CALLERID 394
#define PACE_WAIT 395
#define PACE_WAIT_SIMPLE 396
#define PASSWORD 397
#define PATH 398
#define PING_COOKIE 399
#define PING_TIME 400
#define PORT 401
#define QSTRING 402
#define QUIET_ON_BAN 403
#define RANDOM_IDLE 404
#define REASON 405
#define REDIRPORT 406
#define REDIRSERV 407
#define REHASH 408
#define REMOTE 409
#define REMOTEBAN 410
#define RESV 411
#define RESV_EXEMPT 412
#define RSA_PRIVATE_KEY_FILE 413
#define RSA_PUBLIC_KEY_FILE 414
#define SCRIPT 415
#define SECONDS 416
#define MINUTES 417
#define HOURS 418
#define DAYS 419
#define WEEKS 420
#define MONTHS 421
#define YEARS 422
#define SEND_PASSWORD 423
#define SENDQ 424
#define SERVERHIDE 425
#define SERVERINFO 426
#define SERVER_NAME 427
#define SESSION 428
#define SHORT_MOTD 429
#define T_SNOMASKS 430
#define SOFT_SENDQ 431
#define SPOOF 432
#define SPOOF_NOTICE 433
#define SQUIT 434
#define SSL_CERTIFICATE_FILE 435
#define SSL_CERTIFICATE_FINGERPRINT 436
#define SSL_CONNECTION_REQUIRED 437
#define SSL_DH_ELLIPTIC_CURVE 438
#define SSL_DH_PARAM_FILE 439
#define SSL_MESSAGE_DIGEST_ALGORITHM 440
#define STATS_E_DISABLED 441
#define STATS_I_OPER_ONLY 442
#define STATS_K_OPER_ONLY 443
#define STATS_M_OPER_ONLY 444
#define STATS_O_OPER_ONLY 445
#define STATS_P_OPER_ONLY 446
#define STATS_U_OPER_ONLY 447
#define T_ALIAS 448
#define T_ALL 449
#define T_BOTS 450
#define T_CALLERID 451
#define T_CCONN 452
#define T_CLUSTER 453
#define T_DEAF 454
#define T_DEBUG 455
#define T_DLINE 456
#define T_FARCONNECT 457
#define T_FILE 458
#define T_FULL 459
#define T_HIDECHANNELS 460
#define T_GLOBOPS 461
#define T_INVISIBLE 462
#define T_IPV4 463
#define T_IPV6 464
#define T_LOCOPS 465
#define T_LOG 466
#define T_MAX_CLIENTS 467
#define T_NCHANGE 468
#define T_NOCTCP 469
#define T_NONONREG 470
#define T_OPERWALL 471
#define T_RECVQ 472
#define T_REJ 473
#define T_RESTART 474
#define T_SASL_NAME 475
#define T_SERVER 476
#define T_SERVICE 477
#define T_SERVICES_NAME 478
#define T_SERVNOTICE 479
#define T_SET 480
#define T_SHARED 481
#define T_SIZE 482
#define T_SKILL 483
#define T_SOFTCALLERID 484
#define T_SPY 485
#define T_SSL 486
#define SSLPROFILE 487
#define SSL_PROFILE 488
#define T_UMODES 489
#define T_UNAUTH 490
#define T_UNDLINE 491
#define T_UNLIMITED 492
#define T_UNRESV 493
#define T_UNXLINE 494
#define T_WALLOP 495
#define T_WALLOPS 496
#define T_WALLUSERS 497
#define T_WEBIRC 498
#define TBOOL 499
#define THROTTLE_NUM 500
#define THROTTLE_TIME 501
#define TKLINE_EXPIRE_NOTICES 502
#define TMASKED 503
#define TS_MAX_DELTA 504
#define TS_WARN_DELTA 505
#define TWODOTS 506
#define TYPE 507
#define UNKLINE 508
#define USE_LOGGING 509
#define USE_TARGET_CHANGE 510
#define USER 511
#define VHOST 512
#define VHOST6 513
#define WARN_NO_NLINE 514
#define WLINE 515
#define XLINE 516

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 158 "conf_parser.y" /* yacc.c:355  */

  int number;
  char *string;

#line 763 "conf_parser.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_CONF_PARSER_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 780 "conf_parser.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   1553

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  268
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  344
/* YYNRULES -- Number of rules.  */
#define YYNRULES  757
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  1513

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   516

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,   266,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   267,   262,
       2,   265,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   264,     2,   263,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   423,   423,   424,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     456,   456,   457,   461,   465,   469,   473,   477,   481,   485,
     491,   491,   492,   493,   494,   495,   502,   501,   516,   516,
     517,   517,   517,   517,   517,   519,   532,   538,   544,   556,
     559,   559,   560,   560,   560,   560,   562,   568,   574,   582,
     581,   630,   630,   631,   631,   631,   632,   632,   633,   634,
     636,   644,   676,   702,   710,   719,   718,   740,   740,   741,
     741,   742,   743,   745,   760,   820,   861,   863,   863,   864,
     864,   865,   865,   866,   866,   867,   867,   868,   869,   870,
     871,   874,   889,   904,   913,   927,   936,   964,   994,  1019,
    1041,  1063,  1072,  1074,  1074,  1075,  1075,  1076,  1076,  1078,
    1087,  1096,  1109,  1108,  1126,  1126,  1127,  1127,  1127,  1129,
    1135,  1146,  1145,  1171,  1171,  1173,  1173,  1173,  1173,  1175,
    1181,  1187,  1188,  1188,  1189,  1214,  1215,  1215,  1217,  1217,
    1218,  1220,  1227,  1227,  1240,  1241,  1243,  1243,  1244,  1244,
    1246,  1254,  1257,  1263,  1262,  1268,  1268,  1269,  1273,  1277,
    1281,  1285,  1289,  1293,  1297,  1301,  1312,  1311,  1392,  1392,
    1393,  1393,  1393,  1394,  1394,  1394,  1394,  1395,  1395,  1396,
    1397,  1397,  1399,  1405,  1411,  1417,  1428,  1434,  1440,  1451,
    1458,  1457,  1463,  1463,  1464,  1465,  1470,  1475,  1480,  1485,
    1490,  1495,  1500,  1505,  1510,  1515,  1520,  1527,  1526,  1532,
    1532,  1534,  1539,  1544,  1549,  1554,  1559,  1564,  1569,  1574,
    1579,  1584,  1589,  1594,  1601,  1600,  1606,  1606,  1607,  1611,
    1615,  1619,  1623,  1627,  1631,  1635,  1639,  1643,  1647,  1651,
    1655,  1659,  1663,  1667,  1671,  1675,  1679,  1683,  1687,  1691,
    1695,  1699,  1703,  1707,  1711,  1722,  1721,  1780,  1780,  1781,
    1782,  1782,  1783,  1784,  1785,  1786,  1787,  1788,  1789,  1790,
    1790,  1790,  1790,  1790,  1791,  1792,  1793,  1794,  1795,  1797,
    1803,  1809,  1815,  1821,  1827,  1833,  1839,  1845,  1851,  1857,
    1863,  1870,  1876,  1882,  1888,  1897,  1906,  1913,  1912,  1918,
    1918,  1919,  1923,  1934,  1933,  1940,  1939,  1945,  1945,  1946,
    1950,  1954,  1958,  1962,  1968,  1968,  1969,  1969,  1969,  1969,
    1969,  1969,  1972,  1971,  1977,  1977,  1979,  1998,  2021,  2027,
    2033,  2043,  2042,  2107,  2107,  2108,  2108,  2108,  2108,  2109,
    2109,  2109,  2110,  2110,  2111,  2111,  2113,  2119,  2125,  2131,
    2143,  2142,  2148,  2148,  2149,  2153,  2157,  2161,  2165,  2169,
    2173,  2177,  2181,  2185,  2189,  2193,  2199,  2213,  2222,  2231,
    2239,  2252,  2251,  2266,  2266,  2267,  2267,  2267,  2267,  2269,
    2275,  2281,  2291,  2293,  2293,  2294,  2294,  2296,  2312,  2311,
    2336,  2336,  2337,  2337,  2337,  2337,  2339,  2345,  2365,  2364,
    2370,  2370,  2371,  2375,  2379,  2383,  2387,  2391,  2395,  2399,
    2403,  2407,  2411,  2415,  2425,  2424,  2445,  2445,  2446,  2446,
    2446,  2448,  2455,  2454,  2460,  2460,  2461,  2465,  2469,  2473,
    2477,  2481,  2485,  2489,  2493,  2497,  2507,  2506,  2593,  2593,
    2594,  2594,  2594,  2595,  2595,  2596,  2596,  2596,  2597,  2597,
    2598,  2598,  2598,  2599,  2599,  2600,  2602,  2608,  2614,  2620,
    2633,  2646,  2652,  2658,  2664,  2670,  2674,  2683,  2682,  2687,
    2687,  2688,  2692,  2698,  2709,  2715,  2721,  2732,  2731,  2757,
    2757,  2758,  2758,  2758,  2760,  2780,  2790,  2789,  2816,  2816,
    2817,  2817,  2817,  2819,  2825,  2834,  2836,  2836,  2837,  2837,
    2839,  2857,  2856,  2879,  2879,  2880,  2880,  2880,  2882,  2888,
    2897,  2900,  2900,  2901,  2901,  2902,  2902,  2903,  2903,  2904,
    2904,  2905,  2905,  2906,  2907,  2908,  2908,  2909,  2909,  2910,
    2910,  2910,  2911,  2911,  2912,  2913,  2913,  2914,  2915,  2915,
    2916,  2916,  2916,  2917,  2917,  2917,  2918,  2918,  2919,  2919,
    2919,  2920,  2920,  2921,  2922,  2922,  2923,  2923,  2924,  2925,
    2926,  2927,  2928,  2928,  2928,  2929,  2930,  2930,  2930,  2930,
    2931,  2931,  2931,  2932,  2932,  2932,  2933,  2936,  2941,  2947,
    2956,  2965,  2974,  2980,  2986,  2992,  2998,  3004,  3009,  3014,
    3023,  3028,  3033,  3038,  3043,  3048,  3053,  3058,  3063,  3068,
    3073,  3078,  3084,  3095,  3100,  3105,  3110,  3115,  3120,  3125,
    3128,  3133,  3136,  3141,  3146,  3151,  3156,  3161,  3166,  3171,
    3176,  3181,  3186,  3191,  3200,  3209,  3214,  3219,  3224,  3229,
    3235,  3234,  3239,  3244,  3249,  3261,  3261,  3262,  3266,  3270,
    3274,  3278,  3282,  3286,  3290,  3294,  3298,  3302,  3306,  3312,
    3311,  3316,  3316,  3318,  3322,  3326,  3330,  3334,  3338,  3342,
    3346,  3350,  3354,  3358,  3362,  3366,  3372,  3371,  3376,  3376,
    3377,  3381,  3385,  3389,  3393,  3397,  3401,  3405,  3409,  3413,
    3417,  3421,  3426,  3435,  3440,  3445,  3450,  3455,  3464,  3467,
    3467,  3468,  3469,  3469,  3470,  3471,  3472,  3473,  3474,  3475,
    3475,  3476,  3476,  3477,  3477,  3479,  3484,  3489,  3494,  3499,
    3504,  3509,  3514,  3519,  3524,  3529,  3534,  3539,  3547,  3550,
    3550,  3551,  3551,  3552,  3553,  3554,  3555,  3555,  3556,  3557,
    3559,  3565,  3571,  3577,  3583,  3592,  3606,  3612
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "ACCEPT_PASSWORD", "ACCOUNT_WHOIS",
  "ADMIN", "AFTYPE", "ANTI_NICK_FLOOD", "ANTI_SPAM_EXIT_MESSAGE_TIME",
  "AUTOCONN", "BYTES", "KBYTES", "MBYTES", "CA_FILE", "CALLER_ID_WAIT",
  "CAN_FLOOD", "CHANNEL", "CIDR_BITLEN_IPV4", "CIDR_BITLEN_IPV6",
  "CIPHER_LIST", "CLASS", "CLOAK_KEY1", "CLOAK_KEY2", "CLOAK_KEY3",
  "CLOAK_WHOIS_ACTUALLY", "CONNECT", "CONNECTFREQ", "CYCLE_ON_HOST_CHANGE",
  "DEFAULT_FLOODCOUNT", "DEFAULT_FLOODTIME", "DEFAULT_SPLIT_SERVER_COUNT",
  "DEFAULT_SPLIT_USER_COUNT", "DEFER", "DENY", "DESCRIPTION", "DIE",
  "DISABLE_AUTH", "DISABLE_CHMODES", "DISABLE_FAKE_CHANNELS",
  "DISABLE_REMOTE_COMMANDS", "DNSBL", "DNSBL_EXEMPT", "DOTS_IN_IDENT",
  "DURATION", "EMAIL", "ENABLE_EXTBANS", "ENABLE_FORWARDING", "ENCRYPTED",
  "EXCEED_LIMIT", "EXEMPT", "FAILED_OPER_NOTICE", "FLATTEN_LINKS",
  "FLOOD_BURST", "FLOOD_LIMIT", "GECOS", "GENERAL", "GLINE",
  "GLINE_DURATION", "GLINE_ENABLE", "GLINE_EXEMPT", "GLINE_MIN_CIDR",
  "GLINE_MIN_CIDR6", "GLINE_REQUEST_DURATION", "HAVENT_READ_CONF",
  "HIDDEN", "HIDDEN_NAME", "HIDE_IDLE_FROM_OPERS", "HIDE_SERVER_IPS",
  "HIDE_SERVERS", "HIDE_SERVICES", "HIDE_SPOOF_IPS", "HOST", "HTTP", "HUB",
  "HUB_MASK", "IDENTITY", "IGNORE_BOGUS_TS", "INVISIBLE_ON_CONNECT",
  "INVITE_THROTTLE", "IP", "IRCD_AUTH", "IRCD_FLAGS", "IRCD_SID",
  "JOIN_FLOOD_COUNT", "JOIN_FLOOD_TIME", "KILL", "KILL_CHASE_TIME_LIMIT",
  "KLINE", "KLINE_EXEMPT", "KLINE_REASON", "KNOCK_DELAY",
  "KNOCK_DELAY_CHANNEL", "LEAF_MASK", "T_LINK", "LINKS_DELAY", "LISTEN",
  "MASK", "MATCH", "MAX_ACCEPT", "MAX_BANS", "MAX_CHANNELS",
  "MAX_CHANS_PER_USER", "MAX_GLOBAL", "MAX_IDLE", "MAX_LOCAL",
  "MAX_NICK_CHANGES", "MAX_NICK_LENGTH", "MAX_NICK_TIME", "MAX_NUMBER",
  "MAX_TARGETS", "MAX_TOPIC_LENGTH", "MAX_WATCH", "MIN_IDLE",
  "MIN_NONWILDCARD", "MIN_NONWILDCARD_SIMPLE", "MODULE", "MODULES", "MOTD",
  "NAME", "NEED_ACCOUNT", "NEED_IDENT", "NEED_PASSWORD", "NETWORK_DESC",
  "NETWORK_NAME", "NICK", "NICK_COLLIDE_REALHOST", "NO_CREATE_ON_SPLIT",
  "NO_JOIN_ON_SPLIT", "NO_OPER_FLOOD", "NO_TILDE", "NUMBER",
  "NUMBER_PER_CIDR", "NUMBER_PER_IP", "OPER_ONLY", "OPER_ONLY_UMODES",
  "OPER_PASS_RESV", "OPER_SNOMASKS", "OPER_UMODES", "OPERATOR",
  "OPERS_BYPASS_CALLERID", "PACE_WAIT", "PACE_WAIT_SIMPLE", "PASSWORD",
  "PATH", "PING_COOKIE", "PING_TIME", "PORT", "QSTRING", "QUIET_ON_BAN",
  "RANDOM_IDLE", "REASON", "REDIRPORT", "REDIRSERV", "REHASH", "REMOTE",
  "REMOTEBAN", "RESV", "RESV_EXEMPT", "RSA_PRIVATE_KEY_FILE",
  "RSA_PUBLIC_KEY_FILE", "SCRIPT", "SECONDS", "MINUTES", "HOURS", "DAYS",
  "WEEKS", "MONTHS", "YEARS", "SEND_PASSWORD", "SENDQ", "SERVERHIDE",
  "SERVERINFO", "SERVER_NAME", "SESSION", "SHORT_MOTD", "T_SNOMASKS",
  "SOFT_SENDQ", "SPOOF", "SPOOF_NOTICE", "SQUIT", "SSL_CERTIFICATE_FILE",
  "SSL_CERTIFICATE_FINGERPRINT", "SSL_CONNECTION_REQUIRED",
  "SSL_DH_ELLIPTIC_CURVE", "SSL_DH_PARAM_FILE",
  "SSL_MESSAGE_DIGEST_ALGORITHM", "STATS_E_DISABLED", "STATS_I_OPER_ONLY",
  "STATS_K_OPER_ONLY", "STATS_M_OPER_ONLY", "STATS_O_OPER_ONLY",
  "STATS_P_OPER_ONLY", "STATS_U_OPER_ONLY", "T_ALIAS", "T_ALL", "T_BOTS",
  "T_CALLERID", "T_CCONN", "T_CLUSTER", "T_DEAF", "T_DEBUG", "T_DLINE",
  "T_FARCONNECT", "T_FILE", "T_FULL", "T_HIDECHANNELS", "T_GLOBOPS",
  "T_INVISIBLE", "T_IPV4", "T_IPV6", "T_LOCOPS", "T_LOG", "T_MAX_CLIENTS",
  "T_NCHANGE", "T_NOCTCP", "T_NONONREG", "T_OPERWALL", "T_RECVQ", "T_REJ",
  "T_RESTART", "T_SASL_NAME", "T_SERVER", "T_SERVICE", "T_SERVICES_NAME",
  "T_SERVNOTICE", "T_SET", "T_SHARED", "T_SIZE", "T_SKILL",
  "T_SOFTCALLERID", "T_SPY", "T_SSL", "SSLPROFILE", "SSL_PROFILE",
  "T_UMODES", "T_UNAUTH", "T_UNDLINE", "T_UNLIMITED", "T_UNRESV",
  "T_UNXLINE", "T_WALLOP", "T_WALLOPS", "T_WALLUSERS", "T_WEBIRC", "TBOOL",
  "THROTTLE_NUM", "THROTTLE_TIME", "TKLINE_EXPIRE_NOTICES", "TMASKED",
  "TS_MAX_DELTA", "TS_WARN_DELTA", "TWODOTS", "TYPE", "UNKLINE",
  "USE_LOGGING", "USE_TARGET_CHANGE", "USER", "VHOST", "VHOST6",
  "WARN_NO_NLINE", "WLINE", "XLINE", "';'", "'}'", "'{'", "'='", "','",
  "':'", "$accept", "conf", "conf_item", "timespec_", "timespec",
  "sizespec_", "sizespec", "alias_entry", "$@1", "alias_items",
  "alias_item", "alias_name", "alias_user", "alias_host",
  "alias_oper_only", "modules_entry", "modules_items", "modules_item",
  "modules_module", "modules_script", "modules_path", "sslprofile", "$@2",
  "sslprofile_items", "sslprofile_item", "sslprofile_name",
  "sslprofile_dh_param_file", "sslprofile_dh_elliptic_curve",
  "sslprofile_cipher_list", "sslprofile_cafile", "sslprofile_identity",
  "$@3", "sslprofile_identity_items", "sslprofile_identity_item",
  "sslprofile_identity_server_name",
  "sslprofile_identity_rsa_private_key_file",
  "sslprofile_identity_certificate_file", "serverinfo_entry",
  "serverinfo_items", "serverinfo_item", "serverinfo_name",
  "serverinfo_sid", "serverinfo_description", "serverinfo_network_name",
  "serverinfo_network_desc", "serverinfo_vhost", "serverinfo_vhost6",
  "serverinfo_max_clients", "serverinfo_max_nick_length",
  "serverinfo_max_topic_length", "serverinfo_hub", "admin_entry",
  "admin_items", "admin_item", "admin_name", "admin_email",
  "admin_description", "motd_entry", "$@4", "motd_items", "motd_item",
  "motd_mask", "motd_file", "dnsbl_entry", "$@5", "dnsbl_items",
  "dnsbl_item", "dnsbl_name", "dnsbl_reason", "dnsbl_matches",
  "match_items", "match_item", "logging_entry", "logging_items",
  "logging_item", "logging_use_logging", "logging_file_entry", "$@6",
  "logging_file_items", "logging_file_item", "logging_file_name",
  "logging_file_size", "logging_file_type", "$@7",
  "logging_file_type_items", "logging_file_type_item", "oper_entry", "$@8",
  "oper_items", "oper_item", "oper_name", "oper_user", "oper_password",
  "oper_encrypted", "oper_rsa_public_key_file",
  "oper_ssl_certificate_fingerprint", "oper_ssl_connection_required",
  "oper_class", "oper_umodes", "$@9", "oper_umodes_items",
  "oper_umodes_item", "oper_snomasks", "$@10", "oper_snomasks_items",
  "oper_snomasks_item", "oper_flags", "$@11", "oper_flags_items",
  "oper_flags_item", "class_entry", "$@12", "class_items", "class_item",
  "class_name", "class_ping_time", "class_number_per_ip",
  "class_connectfreq", "class_max_number", "class_max_global",
  "class_max_local", "class_soft_sendq", "class_flood_burst",
  "class_flood_limit", "class_sendq", "class_recvq",
  "class_cidr_bitlen_ipv4", "class_cidr_bitlen_ipv6",
  "class_number_per_cidr", "class_min_idle", "class_max_idle",
  "class_max_channels", "class_flags", "$@13", "class_flags_items",
  "class_flags_item", "listen_entry", "$@14", "listen_flags", "$@15",
  "listen_flags_items", "listen_flags_item", "listen_items", "listen_item",
  "listen_port", "$@16", "port_items", "port_item", "listen_address",
  "listen_host", "listen_ssl_profile", "auth_entry", "$@17", "auth_items",
  "auth_item", "auth_user", "auth_passwd", "auth_class", "auth_encrypted",
  "auth_flags", "$@18", "auth_flags_items", "auth_flags_item",
  "auth_spoof", "auth_redir_serv", "auth_redir_port",
  "auth_ssl_certificate_fingerprint", "auth_ca_file", "resv_entry", "$@19",
  "resv_items", "resv_item", "resv_mask", "resv_reason", "resv_exempt",
  "service_entry", "service_items", "service_item", "service_name",
  "shared_entry", "$@20", "shared_items", "shared_item", "shared_name",
  "shared_user", "shared_type", "$@21", "shared_types", "shared_type_item",
  "cluster_entry", "$@22", "cluster_items", "cluster_item", "cluster_name",
  "cluster_type", "$@23", "cluster_types", "cluster_type_item",
  "connect_entry", "$@24", "connect_items", "connect_item", "connect_name",
  "connect_host", "connect_vhost", "connect_send_password",
  "connect_accept_password", "connect_ssl_certificate_fingerprint",
  "connect_ca_file", "connect_ssl_profile", "connect_port",
  "connect_aftype", "connect_flags", "$@25", "connect_flags_items",
  "connect_flags_item", "connect_encrypted", "connect_hub_mask",
  "connect_leaf_mask", "connect_class", "kill_entry", "$@26", "kill_items",
  "kill_item", "kill_user", "kill_reason", "deny_entry", "$@27",
  "deny_items", "deny_item", "deny_ip", "deny_reason", "exempt_entry",
  "exempt_items", "exempt_item", "exempt_ip", "gecos_entry", "$@28",
  "gecos_items", "gecos_item", "gecos_name", "gecos_reason",
  "general_entry", "general_items", "general_item", "general_max_watch",
  "general_cycle_on_host_change", "general_cloak_key1",
  "general_cloak_key2", "general_cloak_key3",
  "general_cloak_whois_actually", "general_account_whois",
  "general_gline_enable", "general_gline_duration",
  "general_gline_request_duration", "general_gline_min_cidr",
  "general_gline_min_cidr6", "general_kline_reason",
  "general_tkline_expire_notices", "general_kill_chase_time_limit",
  "general_hide_spoof_ips", "general_ignore_bogus_ts",
  "general_failed_oper_notice", "general_anti_nick_flood",
  "general_max_nick_time", "general_max_nick_changes",
  "general_max_accept", "general_anti_spam_exit_message_time",
  "general_ts_warn_delta", "general_ts_max_delta",
  "general_havent_read_conf", "general_invisible_on_connect",
  "general_warn_no_nline", "general_stats_e_disabled",
  "general_stats_o_oper_only", "general_stats_P_oper_only",
  "general_stats_u_oper_only", "general_stats_k_oper_only",
  "general_stats_i_oper_only", "general_stats_m_oper_only",
  "general_pace_wait", "general_caller_id_wait",
  "general_opers_bypass_callerid", "general_pace_wait_simple",
  "general_short_motd", "general_no_oper_flood", "general_oper_pass_resv",
  "general_dots_in_ident", "general_max_targets", "general_services_name",
  "general_sasl_name", "general_ping_cookie",
  "general_nick_collide_realhost", "general_disable_auth",
  "general_throttle_num", "general_throttle_time", "general_oper_umodes",
  "$@29", "general_enable_extbans", "general_enable_forwarding",
  "general_ssl_message_digest_algorithm", "umode_oitems", "umode_oitem",
  "general_oper_snomasks", "$@30", "snomask_oitems", "snomask_oitem",
  "general_oper_only_umodes", "$@31", "umode_items", "umode_item",
  "general_disable_chmodes", "general_use_target_change",
  "general_min_nonwildcard", "general_min_nonwildcard_simple",
  "general_default_floodcount", "general_default_floodtime",
  "channel_entry", "channel_items", "channel_item",
  "channel_disable_fake_channels", "channel_knock_delay",
  "channel_knock_delay_channel", "channel_max_chans_per_user",
  "channel_max_bans", "channel_default_split_user_count",
  "channel_default_split_server_count", "channel_no_create_on_split",
  "channel_no_join_on_split", "channel_jflood_count",
  "channel_jflood_time", "channel_quiet_on_ban", "channel_invite_throttle",
  "serverhide_entry", "serverhide_items", "serverhide_item",
  "serverhide_flatten_links", "serverhide_disable_remote_commands",
  "serverhide_hide_servers", "serverhide_hide_services",
  "serverhide_hidden_name", "serverhide_links_delay", "serverhide_hidden",
  "serverhide_hide_server_ips", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,    59,   125,   123,    61,    44,    58
};
# endif

#define YYPACT_NINF -784

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-784)))

#define YYTABLE_NINF -163

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
    -784,   722,  -784,  -229,  -255,  -249,  -784,  -784,  -784,  -784,
    -247,  -784,  -238,  -784,  -784,  -784,  -217,  -784,  -784,  -784,
    -214,  -206,  -784,  -784,  -194,  -193,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,   466,   820,  -183,  -181,  -169,
    -148,     9,  -117,   432,  -104,   -96,   -95,   258,   -77,   -74,
     -72,   922,   393,   -71,   -56,    44,    65,   -54,   -37,  -178,
    -127,   -33,   -32,    45,  -784,  -784,  -784,  -784,  -784,   -26,
     -25,   -13,     4,    26,    35,    49,    58,    62,    79,    80,
      82,    87,   241,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,   763,   591,    11,
     242,  -784,    96,    20,  -784,  -784,    61,  -784,   121,   130,
     133,   140,   142,   149,   158,   165,   169,   170,   172,   183,
     185,   192,   198,   199,   200,   205,   206,   207,   208,   211,
     214,   215,   216,   218,   220,   222,   223,   231,   233,   236,
     240,   247,   249,   255,   257,  -784,   259,  -784,  -784,   260,
     267,   268,   269,   270,   273,   284,   286,   288,   290,   291,
     296,   297,   298,   300,   309,   310,   313,   316,   318,   323,
     324,    15,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,   377,    12,   303,    37,
     325,   333,   338,    10,  -784,  -784,  -784,  -784,   132,   405,
     252,  -784,   343,   344,   347,   349,   360,   362,   363,   364,
      29,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
      50,   369,   370,   371,   372,   376,   378,   379,   381,   383,
     384,   388,   184,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,   195,    53,   118,   389,    34,
    -784,  -784,  -784,   217,  -784,   391,    55,  -784,  -784,   163,
     673,  -784,   281,   359,   495,   245,  -784,   301,   529,   419,
     534,   536,   534,   534,   534,   537,   539,   426,   429,   440,
     414,  -784,   423,   425,   430,   431,   434,   435,  -784,   436,
     438,   439,   441,   442,   445,   447,   449,   450,   451,   454,
     455,   456,   113,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,   462,   460,   461,   465,   467,   470,   471,
     474,  -784,   475,   476,   478,   479,   485,   486,   487,   175,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,   491,   493,    48,
    -784,  -784,  -784,   498,   496,   500,   501,   166,  -784,  -784,
    -784,  -784,   550,   506,  -784,  -784,   504,   505,    73,  -784,
    -784,  -784,   513,   519,   534,   534,   626,   628,   631,   535,
     538,   654,   655,   542,   641,   663,   552,   553,   554,   534,
     556,   671,   674,   534,   675,   562,   566,   570,   534,   672,
     688,   692,   534,   697,   698,   705,   706,   596,   597,   572,
     598,   578,   580,   603,   534,   534,   605,   608,   708,   615,
    -230,  -224,   617,   618,   620,   624,   725,   726,   739,   534,
     630,   534,   534,   632,   633,   621,  -784,   629,   614,   634,
     635,  -784,   636,   637,   640,   642,   644,   647,    99,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,   648,   649,    47,  -784,  -784,  -784,   656,   651,   652,
    -784,   660,   661,  -784,    63,  -784,  -784,  -784,  -784,  -784,
    -784,   733,   735,   749,   666,  -784,   667,   665,   669,    52,
    -784,  -784,  -784,   676,   670,   677,  -784,   678,   684,   685,
    -784,   686,   687,  -784,   691,   228,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,   679,   693,
     694,   695,    86,  -784,  -784,  -784,  -784,   653,   662,   709,
     789,   719,   720,   721,   534,   704,  -784,  -784,   790,   728,
     822,   740,   837,   823,   824,   828,   846,   831,   832,   734,
    -784,   737,   716,   717,   732,   736,    66,  -784,  -784,  -784,
    -784,  -784,   738,   745,  -784,   136,  -784,  -784,  -784,  -784,
     759,   743,  -784,   747,   865,   755,  -784,   757,   756,  -784,
     760,   101,  -784,  -784,  -784,  -784,   758,   761,   762,  -784,
     772,   773,   775,   102,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,   779,   780,   781,  -784,   782,   783,   784,   723,   785,
     786,   787,   788,   791,   792,   793,   794,   795,   796,  -784,
    -784,   854,   892,   534,   894,   921,   797,   929,   930,   534,
     931,   933,   534,   905,   934,   935,   534,   936,   936,   936,
     805,  -784,  -784,   923,  -168,   924,   925,   825,   926,   927,
     803,   928,   932,   946,   937,   938,   939,   940,   815,  -784,
     941,   942,   816,  -784,  -784,   943,   944,   945,   818,  -784,
     819,  -784,   947,   948,   821,  -784,   834,   835,   836,   838,
     839,   840,   841,   842,   843,   844,   845,   847,   848,   849,
     850,   851,   852,   853,   855,   856,   857,   858,   859,   860,
     861,   862,   863,   864,   866,   867,   868,   869,   870,   871,
     872,   873,   874,   386,   875,   595,   778,   876,   877,   878,
     879,   880,   881,   882,   883,   884,   885,   886,   887,   888,
     889,   890,   891,   893,   895,   896,   897,   898,   899,   900,
     901,  -784,  -784,   952,   961,   910,   817,   969,   963,   980,
    1009,  1017,  1018,   904,  -784,  1020,  1021,   907,  -784,  -784,
    1023,  1024,   908,  1042,  1027,   913,  -784,   914,   915,   916,
    -784,  -784,  1032,  1033,   919,  -784,  -784,  1035,   949,   918,
    1037,  1038,  1039,   950,  1040,   951,   953,  1041,   954,  -784,
    -784,  1043,  1044,  1045,   955,  -784,   957,   958,   959,   960,
     962,   964,   965,   966,  -784,   967,   968,   970,   971,   972,
     973,   974,   975,   976,   977,   978,  -784,  -784,  1047,   956,
    1049,  1050,   979,  -784,  -784,  1051,   981,   982,  -784,   983,
    -784,    68,   985,  -784,  -784,  1052,   984,  1054,   986,  -784,
    -784,  1055,  1056,   987,  1057,  1058,  1059,   988,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,   534,   534,   534,   534,   534,
     534,   534,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,   990,   991,   992,   993,   994,   -41,
     995,   996,   997,   998,   999,  1000,  1001,  1002,  1003,  1004,
     401,  1005,  1006,  1007,  -784,  1008,  1010,  1011,  1012,  1013,
    1014,  1015,  1016,    -1,  1019,  1022,  1025,  1026,  1028,  1029,
    1030,  -784,  1031,  1034,  -784,  -784,  -235,  -784,  1036,  1046,
    -784,  -784,  1048,  1053,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -234,  -784,  -784,  1060,  1061,  1062,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -203,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -180,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  1063,  1064,  1068,
     511,  1069,  1070,  1071,  1072,  1073,  1074,  -784,  1075,  1076,
    -784,  1077,  1078,   319,  1065,  1079,  -784,  1080,  -784,  -784,
    -784,  -784,  1081,  1082,  -784,  1084,  1085,   492,  1086,  1087,
    1088,   727,  1089,  1090,   799,  1091,  -784,  1092,  1093,  1094,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    1095,  1096,  1097,  1098,  -784,  1099,   593,  -784,  -784,  1100,
    1101,  1102,  -784,   106,  -784,  -784,  -784,  -784,  -784,  1103,
     573,  1106,  -784,  1107,  1108,   213,  1109,  1110,  1111,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -157,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,   936,   936,   936,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -156,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,   943,  -784,  -784,  -784,
    -784,  -784,   386,  1117,  1125,  1126,  -784,   595,  -784,   778,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,    72,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,    75,  -784,  1083,  1042,  1112,  -784,  -784,  -784,
    -784,  -784,  -784,  1113,  -784,  -784,  1114,  -784,  -784,  -784,
    -784,  1115,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,    88,  -784,  -784,  -784,
    -784,  1116,  1118,  1119,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,    97,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,   115,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,   138,  -784,
    -784,  1067,  -126,  1122,  1127,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,   155,
    -784,  -784,  -784,  -784,  1128,  1123,  1129,  1130,    54,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,   -41,  -784,  -784,
    -784,  -784,    -1,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,   511,  -784,   319,  -784,  -784,  -784,  1131,  1132,  1135,
    -784,   492,  1140,  1141,  1143,  -784,   727,  -784,   799,  -784,
     593,  1134,  1136,  1137,   457,  -784,  -784,   573,  -784,  1152,
    1153,  1154,  1138,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
     160,  -784,  -784,  1139,  1142,  1144,  -784,  -784,   457,  -784,
    -784,  -784,  -784
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       2,     0,     1,     0,     0,     0,   275,   456,   506,   141,
       0,   521,     0,   351,   497,   323,     0,   132,   186,   391,
       0,     0,    46,   434,     0,     0,   408,    69,     3,     5,
      24,    25,    12,     4,    26,    27,     6,     7,     9,    10,
      11,    14,    15,    16,    17,    18,    19,    20,    21,    23,
      22,     8,    13,    28,    29,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   124,   125,   127,   126,   724,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   710,   721,   712,   713,   714,   711,   715,
     716,   717,   718,   719,   720,   722,   723,     0,     0,     0,
       0,   519,     0,     0,   517,   518,     0,   596,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   686,     0,   669,   650,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   532,   582,   585,   586,   587,   588,   589,   590,
     575,   576,   577,   578,   579,   580,   574,   543,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   570,   544,
     545,   581,   547,   553,   554,   548,   550,   551,   549,   562,
     563,   552,   555,   556,   557,   546,   559,   583,   584,   571,
     572,   573,   568,   569,   560,   593,   594,   595,   561,   558,
     591,   592,   566,   567,   564,   565,     0,     0,     0,     0,
       0,     0,     0,     0,    61,    62,    63,    64,     0,     0,
       0,   749,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   740,   741,   742,   743,   744,   747,   745,   746,   748,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    98,    99,   109,   102,   103,   104,   100,
     108,   105,   106,   107,   101,     0,     0,     0,     0,     0,
     157,   158,   159,     0,   406,     0,     0,   404,   405,     0,
       0,   128,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   709,     0,     0,     0,     0,     0,     0,   317,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   278,   279,   282,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   280,   281,   283,   294,
     295,   296,   297,     0,     0,     0,     0,     0,     0,     0,
       0,   487,     0,     0,     0,     0,     0,     0,     0,     0,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   469,
     468,   470,   474,   471,   472,   473,   512,     0,     0,     0,
     509,   510,   511,     0,     0,     0,     0,     0,   144,   145,
     146,   147,     0,     0,   516,   527,     0,     0,     0,   524,
     525,   526,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   531,     0,     0,     0,
       0,   370,     0,     0,     0,     0,     0,     0,     0,   354,
     355,   356,   357,   362,   358,   359,   360,   361,   363,   364,
     503,     0,     0,     0,   500,   501,   502,     0,     0,     0,
     325,     0,     0,   337,     0,   335,   336,   338,   339,   340,
      65,     0,     0,     0,     0,    60,     0,     0,     0,     0,
     135,   136,   137,     0,     0,     0,   244,     0,     0,     0,
     227,     0,     0,   210,     0,     0,   189,   190,   191,   192,
     196,   197,   198,   199,   195,   193,   194,   200,     0,     0,
       0,     0,     0,   394,   395,   396,   397,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   739,   110,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      97,     0,     0,     0,     0,     0,     0,    49,    50,    51,
      52,    53,     0,     0,   442,     0,   437,   438,   439,   160,
       0,     0,   156,     0,     0,     0,   403,     0,     0,   418,
       0,     0,   411,   412,   413,   414,     0,     0,     0,    85,
       0,     0,     0,     0,    72,    73,    74,    75,    76,    77,
      78,     0,     0,     0,   122,     0,     0,     0,    30,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   708,
     298,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   277,   475,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   458,
       0,     0,     0,   508,   148,     0,     0,     0,     0,   143,
       0,   515,     0,     0,     0,   523,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   530,   365,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   353,     0,     0,     0,   499,   341,
       0,     0,     0,     0,     0,     0,   334,     0,     0,     0,
      59,   138,     0,     0,     0,   134,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     398,     0,     0,     0,     0,   393,     0,     0,     0,     0,
       0,     0,     0,     0,   738,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    96,    54,     0,     0,
       0,     0,     0,    48,   440,     0,     0,     0,   436,     0,
     155,     0,     0,   402,   415,     0,     0,     0,     0,   410,
      79,     0,     0,     0,     0,     0,     0,     0,    71,   131,
     130,   129,   731,   730,   725,    30,    30,    30,    30,    30,
      30,    30,    32,    31,   737,   734,   735,   726,   727,   729,
     728,   732,   733,   736,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      40,     0,     0,     0,   276,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   457,     0,     0,   507,   154,     0,   153,     0,     0,
     142,   520,     0,     0,   522,   603,   615,   619,   635,   599,
     600,   601,   602,   598,   706,   707,   647,   702,   641,   652,
     653,   614,   605,   604,   607,   608,   606,   622,   612,   613,
     623,   611,   609,   618,   617,   616,   642,   597,   704,   705,
     646,   639,   698,   691,   692,   695,   699,   690,   700,   693,
     694,   697,   701,   696,     0,   689,   640,   685,   674,   676,
     677,   679,   678,   681,   680,   683,   682,     0,   672,   665,
     658,   659,   662,   666,   657,   667,   660,   661,   664,   668,
     663,     0,   656,   636,   634,   637,   645,   638,   654,   625,
     631,   632,   629,   630,   633,   626,   627,   628,   644,   643,
     648,   649,   610,   621,   620,   703,   624,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   352,     0,     0,
     498,     0,     0,     0,   346,   342,   345,     0,   324,    66,
      68,    67,     0,     0,   133,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   214,     0,   187,     0,     0,     0,
     392,   751,   750,   756,   754,   757,   752,   753,   755,   113,
     121,   112,   119,   120,   111,   115,   114,   118,   116,   117,
       0,     0,     0,     0,    47,     0,     0,   435,   161,     0,
       0,     0,   173,     0,   165,   166,   168,   167,   407,     0,
       0,     0,   409,     0,     0,     0,     0,     0,     0,    70,
      33,    34,    35,    36,    37,    38,    39,   311,   312,   302,
     307,   308,   322,   321,     0,   320,   316,   304,   315,   305,
     303,   314,   299,   313,   301,   300,    40,    40,    40,    42,
      41,   309,   306,   310,   480,   485,   486,   482,   496,   493,
     477,   494,   491,   492,     0,   490,   495,   476,   484,   479,
     481,   483,   478,   513,   514,   151,     0,   149,   150,   528,
     529,   687,     0,     0,     0,     0,   670,     0,   651,     0,
     390,   368,   369,   379,   377,   375,   381,   376,   384,   378,
     385,   380,   382,   374,   383,     0,   373,   367,   388,   387,
     386,   389,   366,   505,   504,   349,   348,   333,   330,   332,
     331,   329,     0,   328,     0,     0,     0,   350,   139,   140,
     209,   205,   266,   253,   263,   262,   251,   256,   274,   265,
     272,   255,   258,   249,   268,   271,   250,   267,   264,   273,
     259,   261,   269,   270,   257,   260,     0,   247,   202,   204,
     206,   243,   232,   234,   235,   236,   238,   239,   237,   241,
     240,     0,   230,   207,   208,   223,   216,   217,   220,   224,
     215,   225,   218,   219,   222,   226,   221,     0,   213,   203,
     401,   399,   400,    55,    58,    57,    56,   441,   446,   452,
     455,   448,   454,   449,   453,   451,   447,   450,     0,   445,
     169,     0,     0,     0,     0,   164,   416,   422,   428,   431,
     433,   424,   430,   425,   429,   427,   423,   432,   426,     0,
     421,   417,    84,    83,     0,     0,     0,     0,     0,    88,
      89,    90,    91,    80,    82,    81,   318,     0,    43,    44,
      45,   488,     0,   152,   688,   684,   673,   675,   671,   655,
     371,     0,   326,     0,   347,   344,   343,     0,     0,     0,
     245,     0,     0,     0,     0,   228,     0,   211,   214,   443,
       0,     0,     0,     0,     0,   163,   419,     0,    92,     0,
       0,     0,     0,    87,   319,   489,   372,   327,   252,   248,
     254,   246,   242,   231,   233,   229,   212,   444,   170,   172,
     171,   179,   184,   183,   178,   181,   185,   182,   177,   180,
       0,   176,   420,     0,     0,     0,    86,   174,     0,    94,
      93,    95,   175
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -784,  -784,  -784,    95,  -337,  -783,  -717,  -784,  -784,  -784,
     571,  -784,  -784,  -784,  -784,  -784,  -784,  1121,  -784,  -784,
    -784,  -784,  -784,  -784,   516,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -210,  -784,  -784,  -784,  -784,  -784,   909,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  1148,  -784,  -784,  -784,  -784,  -784,  -784,
     643,  -784,  -784,  -784,  -784,  -784,   806,  -784,  -784,  -784,
    -784,   -47,  -784,  -784,   906,  -784,  -784,  -784,  -784,    27,
    -784,  -784,  -784,  -784,  -784,  -285,  -784,  -784,  -784,   657,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -176,  -784,  -784,  -784,  -173,  -784,  -784,  -784,  -149,
    -784,  -784,  -784,  1066,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -124,  -784,  -784,  -784,  -784,
    -784,  -139,  -784,   751,  -784,  -784,  -784,     1,  -784,  -784,
    -784,  -784,  -784,  -784,   813,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -134,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,   707,  -784,  -784,  -784,  -784,  -784,  1104,  -784,  -784,
    -784,  -784,   650,  -784,  -784,  -784,  -784,  -784,  -155,  -784,
    -784,  -784,   668,  -784,  -784,  -784,  -784,  -146,  -784,  -784,
    -784,   911,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -115,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,   776,  -784,  -784,  -784,  -784,  -784,   989,
    -784,  -784,  -784,  -784,  1195,  -784,  -784,  -784,  -784,  1105,
    -784,  -784,  -784,  -784,  1133,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,    94,  -784,  -784,  -784,    56,  -784,  -784,  -784,
      59,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  1220,
    -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784,  -784,  1145,  -784,  -784,  -784,  -784,
    -784,  -784,  -784,  -784
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,    28,   942,   943,  1229,  1230,    29,    73,   636,
     637,   638,   639,   640,   641,    30,   263,   264,   265,   266,
     267,    31,    78,   673,   674,   675,   676,   677,   678,   679,
     680,   923,  1418,  1419,  1420,  1421,  1422,    32,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    33,    83,    84,    85,    86,    87,    34,    68,   569,
     570,   571,   572,    35,    60,   437,   438,   439,   440,   441,
     996,   997,    36,   319,   320,   321,   322,   323,  1183,  1184,
    1185,  1186,  1187,  1393,  1500,  1501,    37,    69,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   866,
    1367,  1368,   596,   863,  1351,  1352,   597,   859,  1336,  1337,
      38,    57,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   706,  1214,  1215,    39,    66,   553,   842,
    1302,  1303,   554,   555,   556,  1306,  1125,  1126,   557,   558,
     559,    40,    64,   528,   529,   530,   531,   532,   533,   534,
     826,  1285,  1286,   535,   536,   537,   538,   539,    41,    70,
     602,   603,   604,   605,   606,    42,   326,   327,   328,    43,
      77,   661,   662,   663,   664,   665,   916,  1409,  1410,    44,
      74,   645,   646,   647,   648,   906,  1388,  1389,    45,    58,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   730,  1244,  1245,   422,   423,   424,   425,
      46,    65,   543,   544,   545,   546,    47,    59,   429,   430,
     431,   432,    48,   123,   124,   125,    49,    62,   448,   449,
     450,   451,    50,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   492,   245,   246,
     247,  1081,  1082,   248,   491,  1067,  1068,   249,   489,  1054,
    1055,   250,   251,   252,   253,   254,   255,    51,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,    52,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     971,   972,   973,   689,   970,   691,   692,   693,  1242,    55,
     121,   259,   426,   540,   804,    56,   127,    61,   805,   128,
     806,   121,   129,   130,   807,  1212,    63,  1255,  1261,   131,
     271,  1256,  1262,    53,    54,   317,   132,   133,   134,   135,
     976,   977,   136,   137,   138,   317,    79,    67,   540,   426,
      71,   139,   140,   566,   642,  1414,   324,   141,    72,  1266,
     142,   143,   445,  1267,   547,   144,   324,   631,   272,  1179,
      75,    76,   145,   146,   445,   147,   148,   149,   150,    80,
     273,   117,  1268,   118,   331,   151,  1269,   598,   122,    81,
     427,   152,   153,   274,   275,   119,   276,   277,   278,   122,
     517,   154,   657,   666,   155,  1426,  1431,  1179,  1213,  1427,
    1432,  1462,   518,   156,   352,   667,   120,   758,   759,   519,
     157,   668,   158,   279,   159,   260,   160,   427,   161,   162,
     353,   354,   773,   566,   548,   599,   777,   642,   332,   355,
     163,   782,   549,   164,   550,   786,   520,   126,   567,   165,
     166,   167,   168,   261,   169,   170,   171,   798,   799,   172,
     256,   428,   541,    82,   657,   356,   357,   433,   257,   258,
     262,   643,   815,   325,   817,   818,   393,   669,   394,   446,
     521,   395,   600,   325,   632,   290,  1180,   268,   396,   173,
     269,   446,   270,   315,   358,   397,   631,   541,   428,   633,
     174,   175,   176,   177,   178,   179,   180,   181,   316,   551,
     329,   447,  1415,   359,  1414,   360,   361,   362,   291,   658,
     670,   363,   398,   447,  1180,   364,  1416,   330,   567,   573,
    1243,   365,   333,   334,  1417,   182,   601,  -162,   183,   337,
     338,   522,    88,   433,   366,   367,   399,  -162,   574,   400,
     523,   524,   339,   598,   643,   568,   401,   292,   368,   259,
     184,   185,   186,   434,   187,   188,   293,   402,   542,   340,
     189,    89,    90,   564,   190,   575,   525,   883,   515,    91,
     526,   658,   369,   443,   435,   671,   672,   634,   318,   370,
     294,   341,   615,   403,   295,  1181,   552,   651,   318,   560,
     342,   599,   296,   542,   547,   644,   297,   298,   335,   576,
     837,   742,   617,   632,   343,   854,   436,  1472,   655,    92,
    1182,   404,   635,   344,    93,    94,   845,   345,   633,   902,
     371,    95,    96,  1181,  1440,   568,   754,  1442,  1441,   434,
      97,  1443,    98,   405,   346,   347,   577,   348,   600,   874,
    1450,  1297,   349,   659,  1451,   527,   406,   660,  1182,  1455,
     435,   442,   833,  1456,   918,   927,   956,    99,   100,  1394,
     578,  1415,   962,   260,   548,   965,   720,  1457,   517,   969,
     649,  1458,   549,  1298,   550,  1416,   452,   579,   644,   101,
     518,  1299,   436,  1417,   290,   453,   299,   519,   454,   907,
    1459,   261,   601,   580,  1460,   455,   573,   456,   407,   581,
     582,  1226,  1227,  1228,   457,   659,   634,  1466,   262,   660,
     653,  1467,  1507,   458,   520,   574,  1508,   291,   681,   748,
     459,   685,   408,   127,   460,   461,   128,   462,   738,   129,
     130,   300,   301,  1428,  1429,  1430,   131,   629,   463,   551,
     464,   635,   575,   132,   133,   134,   135,   465,   521,   136,
     137,   138,   583,   466,   467,   468,   292,    79,   139,   140,
     469,   470,   471,   472,   141,   293,   473,   142,   143,   474,
     475,   476,   144,   477,   584,   478,   576,   479,   480,   145,
     146,   868,   147,   148,   149,   150,   481,  1312,   482,   294,
      80,   483,   151,   295,   350,   484,   682,   684,   152,   153,
      81,   296,   485,  1491,   486,   297,   298,  1313,   154,   522,
     487,   155,   488,   577,   490,   493,  1273,  1314,   523,   524,
     156,   970,   494,   495,   496,   497,   552,   157,   498,   158,
    1300,   159,  1492,   160,  1493,   161,   162,   578,  1315,   499,
    1301,   500,  1274,   501,   525,   502,   503,   163,   526,  1275,
     164,   504,   505,   506,   579,   507,   165,   166,   167,   168,
    1276,   169,   170,   171,   508,   509,   172,  1316,   510,  1317,
     580,   511,  1042,   512,    82,  1043,   581,   582,   513,   514,
     561,  1044,   393,  1045,   394,  1494,  1046,   395,   562,  1277,
    1047,  1048,  1049,   563,   396,   299,   173,  1318,   607,   608,
    1050,   397,   609,  1495,   610,  1051,  1052,   174,   175,   176,
     177,   178,   179,   180,   181,   611,  1053,   612,   613,   614,
    1278,  1279,  1280,   527,   618,   619,   620,   621,   398,   583,
    1281,   622,   683,   623,   624,  1319,   625,  1320,   626,   627,
     300,   301,   182,   628,   650,   183,   654,  1496,  1497,   686,
    1397,   584,   399,   687,   688,   400,   690,   694,  1282,   695,
     696,  1321,   401,   697,   666,  1463,   699,   184,   185,   186,
    1378,   187,   188,   402,   698,   700,   667,   189,  1057,  1283,
     701,   190,   668,  1322,  1323,   702,   703,   750,  1324,   704,
     705,   707,  1325,   708,   709,  1326,   710,   711,  1327,   403,
     712,  1328,   713,  1498,   714,   715,   716,  1329,  1499,   717,
     718,   719,     2,     3,   722,   723,   724,     4,  1330,  1398,
     725,  1331,   726,  1332,  1333,   727,   728,   404,     5,   729,
     731,   732,     6,   733,   734,  1334,  1399,     7,   669,  1379,
     735,   736,   737,  1335,  1284,     8,   740,   756,   741,   405,
     744,   745,     9,   757,   352,   746,   747,  1400,   751,   752,
     753,    10,   406,   760,  1401,   761,    11,    12,   762,   763,
     353,   354,   764,  1402,   765,   766,   767,  1380,   768,   355,
    1058,   670,  1059,   769,  1381,  1060,   770,   771,   772,  1061,
     774,   775,    13,  1382,   776,   778,   779,    14,  1062,  1403,
     780,  1404,  1405,  1063,   781,   356,   357,    15,   784,   783,
    1341,    88,   785,  1064,   407,  1065,  1406,   787,   788,  1383,
    1066,  1384,  1385,  1407,  1408,   789,   790,   793,    16,    17,
     791,   792,   794,   795,   358,   796,  1386,   797,   408,   800,
      89,    90,   801,   688,  1387,   802,   671,   672,    91,   803,
      18,   808,   809,   359,   810,   360,   361,   362,   811,   814,
     888,   363,   812,   813,   816,   364,   819,   820,    19,   823,
     847,   365,   848,   821,   935,   936,   937,   938,   939,   940,
     941,   822,    20,    21,   366,   367,   849,   876,    92,   824,
     825,   827,   828,    93,    94,   829,   877,   830,   368,   831,
      95,    96,   832,   835,   836,    22,   840,   841,   839,    97,
      23,    98,  1342,   271,  1343,   843,   844,  1344,   850,   851,
     852,  1345,   369,    24,   853,   857,   879,   885,   856,   370,
    1346,   870,   858,   860,    25,  1347,    99,   100,    26,   861,
     862,   864,   865,   878,    27,  1348,   867,  1349,   871,   872,
     873,   272,  1350,   880,   881,   882,   884,   889,   101,   887,
     890,   891,   886,   273,  1069,   892,   893,  1070,   894,   895,
     371,   898,   899,  1071,   954,  1072,   274,   275,  1073,   276,
     277,   278,  1074,  1075,  1076,  1355,   896,   900,  1356,   897,
     904,   901,  1077,   909,  1357,   910,  1358,  1078,  1079,  1359,
     905,   911,   912,  1360,  1361,  1362,   279,   913,  1080,   914,
     920,   915,   955,  1363,   957,   917,   921,   922,  1364,  1365,
    1200,  1201,  1202,  1203,  1204,  1205,  1206,   924,   925,  1366,
     926,   929,   930,   931,   932,   933,   934,   944,   945,   946,
     947,   958,   966,   948,   949,   950,   951,   952,   953,   960,
     961,   963,   959,   964,   967,   968,   970,   974,   983,   980,
     975,   978,   979,   981,   982,   984,   986,   991,   994,   985,
    1000,  1001,  1110,  1004,   987,   988,   989,   990,   992,   993,
     995,   998,   999,  1112,  1002,  1003,  1005,  1006,  1007,  1107,
    1008,  1009,  1010,  1011,  1012,  1013,  1014,  1015,  1108,  1016,
    1017,  1018,  1019,  1020,  1021,  1022,  1111,  1023,  1024,  1025,
    1026,  1027,  1028,  1029,  1030,  1031,  1032,  1113,  1033,  1034,
    1035,  1036,  1037,  1038,  1039,  1040,  1041,  1056,  1083,  1084,
    1085,  1086,  1087,  1088,  1089,  1090,  1091,  1092,  1093,  1094,
    1095,  1096,  1097,  1098,  1109,  1099,  1114,  1100,  1101,  1102,
    1103,  1104,  1105,  1106,  1115,  1116,  1117,  1118,  1119,  1120,
    1121,  1122,  1124,  1123,  1127,  1128,  1129,  1130,  1131,  1132,
    1133,  1134,  1135,  1137,  1138,  1139,  1140,  1142,  1145,   928,
    1147,  1148,  1149,  1136,  1170,  1143,  1172,  1173,  1175,  1189,
    1171,  1191,  1193,  1194,  1196,  1197,  1198,   903,  1473,  1433,
    1395,   630,   855,  1444,  1461,  1141,  1146,  1150,  1144,  1151,
    1152,  1153,  1154,  1512,  1155,   652,  1156,  1157,  1158,  1159,
    1160,   336,  1161,  1162,  1163,  1164,  1165,  1166,  1167,  1168,
    1169,  1174,   869,   749,  1177,  1178,  1176,  1188,  1192,  1190,
    1199,  1195,  1207,  1208,  1209,  1210,  1211,  1216,  1217,  1218,
    1219,  1220,  1221,  1222,  1223,  1224,  1225,  1231,  1232,  1233,
    1234,  1435,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1436,
    1437,  1246,  1486,  1485,  1247,  1478,  1479,  1248,  1249,  1480,
    1250,  1251,  1252,  1253,  1482,  1483,  1254,  1484,  1257,  1503,
    1504,  1505,  1481,  1474,  1477,   846,  1445,  1476,  1258,   875,
    1259,   919,  1502,   908,  1487,  1260,  1304,  1475,   444,   838,
     739,  1434,   351,  1438,   516,  1270,  1271,  1263,  1264,  1265,
    1272,  1287,  1288,  1289,  1290,  1291,  1292,  1293,  1294,  1295,
    1296,   834,  1307,  1308,  1309,  1305,  1310,  1311,  1338,  1339,
    1340,  1353,  1354,  1369,  1370,  1371,  1372,  1373,  1374,  1375,
    1376,  1377,  1390,  1439,     0,  1396,  1391,  1392,  1411,  1412,
    1413,  1423,  1424,  1425,  1446,     0,     0,     0,     0,     0,
    1447,  1448,  1449,  1452,   565,  1453,  1454,  1464,  1469,  1465,
    1468,     0,     0,     0,  1470,  1471,  1488,     0,  1489,  1490,
    1506,  1509,     0,     0,  1510,     0,  1511,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,   616,     0,     0,     0,     0,
     656,     0,     0,     0,     0,     0,     0,     0,   721,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   755
};

static const yytype_int16 yycheck[] =
{
     717,   718,   719,   340,   130,   342,   343,   344,     9,   264,
       1,     1,     1,     1,   244,   264,     1,   264,   248,     4,
     244,     1,     7,     8,   248,    66,   264,   262,   262,    14,
       1,   266,   266,   262,   263,     1,    21,    22,    23,    24,
     208,   209,    27,    28,    29,     1,     1,   264,     1,     1,
     264,    36,    37,     1,     1,     1,     1,    42,   264,   262,
      45,    46,     1,   266,     1,    50,     1,     1,    39,     1,
     264,   264,    57,    58,     1,    60,    61,    62,    63,    34,
      51,   264,   262,   264,   262,    70,   266,     1,    79,    44,
      79,    76,    77,    64,    65,   264,    67,    68,    69,    79,
       1,    86,     1,     1,    89,   262,   262,     1,   149,   266,
     266,   237,    13,    98,     1,    13,   264,   454,   455,    20,
     105,    19,   107,    94,   109,   115,   111,    79,   113,   114,
      17,    18,   469,     1,    71,    49,   473,     1,   265,    26,
     125,   478,    79,   128,    81,   482,    47,   264,    96,   134,
     135,   136,   137,   143,   139,   140,   141,   494,   495,   144,
     264,   150,   150,   118,     1,    52,    53,     1,   264,   264,
     160,   118,   509,   118,   511,   512,     1,    75,     3,   118,
      81,     6,    96,   118,   118,     1,   118,   264,    13,   174,
     264,   118,   264,   264,    81,    20,     1,   150,   150,   133,
     185,   186,   187,   188,   189,   190,   191,   192,   264,   146,
     264,   150,   158,   100,     1,   102,   103,   104,    34,   118,
     118,   108,    47,   150,   118,   112,   172,   264,    96,     1,
     231,   118,   265,   265,   180,   220,   150,   203,   223,   265,
     265,   142,     1,     1,   131,   132,    71,   203,    20,    74,
     151,   152,   265,     1,   118,   203,    81,    73,   145,     1,
     245,   246,   247,    97,   249,   250,    82,    92,   256,   265,
     255,    30,    31,   263,   259,    47,   177,   614,   263,    38,
     181,   118,   169,   263,   118,   183,   184,   221,   254,   176,
     106,   265,   263,   118,   110,   227,   233,   263,   254,   262,
     265,    49,   118,   256,     1,   252,   122,   123,   263,    81,
     263,   263,   262,   118,   265,   263,   150,   263,   263,    78,
     252,   146,   256,   265,    83,    84,   263,   265,   133,   263,
     217,    90,    91,   227,   262,   203,   263,   262,   266,    97,
      99,   266,   101,   168,   265,   265,   118,   265,    96,   263,
     262,    32,   265,   252,   266,   256,   181,   256,   252,   262,
     118,   265,   263,   266,   263,   263,   703,   126,   127,   263,
     142,   158,   709,   115,    71,   712,   263,   262,     1,   716,
     262,   266,    79,    64,    81,   172,   265,   159,   252,   148,
      13,    72,   150,   180,     1,   265,   212,    20,   265,   263,
     262,   143,   150,   175,   266,   265,     1,   265,   233,   181,
     182,    10,    11,    12,   265,   252,   221,   262,   160,   256,
     203,   266,   262,   265,    47,    20,   266,    34,   147,   263,
     265,   130,   257,     1,   265,   265,     4,   265,   263,     7,
       8,   257,   258,  1226,  1227,  1228,    14,   263,   265,   146,
     265,   256,    47,    21,    22,    23,    24,   265,    81,    27,
      28,    29,   234,   265,   265,   265,    73,     1,    36,    37,
     265,   265,   265,   265,    42,    82,   265,    45,    46,   265,
     265,   265,    50,   265,   256,   265,    81,   265,   265,    57,
      58,   263,    60,    61,    62,    63,   265,     5,   265,   106,
      34,   265,    70,   110,   263,   265,   147,   262,    76,    77,
      44,   118,   265,    56,   265,   122,   123,    25,    86,   142,
     265,    89,   265,   118,   265,   265,    15,    35,   151,   152,
      98,   130,   265,   265,   265,   265,   233,   105,   265,   107,
     221,   109,    85,   111,    87,   113,   114,   142,    56,   265,
     231,   265,    41,   265,   177,   265,   265,   125,   181,    48,
     128,   265,   265,   265,   159,   265,   134,   135,   136,   137,
      59,   139,   140,   141,   265,   265,   144,    85,   265,    87,
     175,   265,   196,   265,   118,   199,   181,   182,   265,   265,
     265,   205,     1,   207,     3,   138,   210,     6,   265,    88,
     214,   215,   216,   265,    13,   212,   174,   115,   265,   265,
     224,    20,   265,   156,   265,   229,   230,   185,   186,   187,
     188,   189,   190,   191,   192,   265,   240,   265,   265,   265,
     119,   120,   121,   256,   265,   265,   265,   265,    47,   234,
     129,   265,   147,   265,   265,   153,   265,   155,   265,   265,
     257,   258,   220,   265,   265,   223,   265,   200,   201,   130,
      87,   256,    71,   244,   130,    74,   130,   130,   157,   130,
     244,   179,    81,   244,     1,  1392,   262,   245,   246,   247,
      87,   249,   250,    92,   244,   262,    13,   255,    93,   178,
     265,   259,    19,   201,   202,   265,   265,   147,   206,   265,
     265,   265,   210,   265,   265,   213,   265,   265,   216,   118,
     265,   219,   265,   256,   265,   265,   265,   225,   261,   265,
     265,   265,     0,     1,   262,   265,   265,     5,   236,   156,
     265,   239,   265,   241,   242,   265,   265,   146,    16,   265,
     265,   265,    20,   265,   265,   253,   173,    25,    75,   156,
     265,   265,   265,   261,   243,    33,   265,   244,   265,   168,
     262,   265,    40,   244,     1,   265,   265,   194,   262,   265,
     265,    49,   181,   147,   201,   147,    54,    55,   147,   244,
      17,    18,   244,   210,   130,   130,   244,   194,   147,    26,
     195,   118,   197,   130,   201,   200,   244,   244,   244,   204,
     244,   130,    80,   210,   130,   130,   244,    85,   213,   236,
     244,   238,   239,   218,   244,    52,    53,    95,   130,   147,
      93,     1,   130,   228,   233,   230,   253,   130,   130,   236,
     235,   238,   239,   260,   261,   130,   130,   265,   116,   117,
     244,   244,   244,   265,    81,   265,   253,   244,   257,   244,
      30,    31,   244,   130,   261,   147,   183,   184,    38,   244,
     138,   244,   244,   100,   244,   102,   103,   104,   244,   130,
     130,   108,   147,   147,   244,   112,   244,   244,   156,   265,
     147,   118,   147,   262,   161,   162,   163,   164,   165,   166,
     167,   262,   170,   171,   131,   132,   147,   244,    78,   265,
     265,   265,   265,    83,    84,   265,   244,   265,   145,   265,
      90,    91,   265,   265,   265,   193,   265,   265,   262,    99,
     198,   101,   195,     1,   197,   265,   265,   200,   262,   262,
     265,   204,   169,   211,   265,   265,   147,   147,   262,   176,
     213,   262,   265,   265,   222,   218,   126,   127,   226,   265,
     265,   265,   265,   244,   232,   228,   265,   230,   265,   265,
     265,    39,   235,   244,   244,   244,   262,   130,   148,   147,
     147,   147,   244,    51,   196,   147,   130,   199,   147,   147,
     217,   265,   265,   205,   130,   207,    64,    65,   210,    67,
      68,    69,   214,   215,   216,   196,   262,   265,   199,   262,
     262,   265,   224,   244,   205,   262,   207,   229,   230,   210,
     265,   264,   147,   214,   215,   216,    94,   262,   240,   262,
     262,   265,   130,   224,   130,   265,   265,   265,   229,   230,
     935,   936,   937,   938,   939,   940,   941,   265,   265,   240,
     265,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   130,   147,   262,   262,   262,   262,   262,   262,   130,
     130,   130,   265,   130,   130,   130,   130,   262,   265,   244,
     147,   147,   147,   147,   147,   147,   130,   262,   262,   147,
     262,   262,   265,   262,   147,   147,   147,   147,   147,   147,
     147,   147,   147,   130,   147,   147,   262,   262,   262,   147,
     262,   262,   262,   262,   262,   262,   262,   262,   147,   262,
     262,   262,   262,   262,   262,   262,   147,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   147,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   244,   262,   147,   262,   262,   262,
     262,   262,   262,   262,   147,   147,   262,   147,   147,   262,
     147,   147,   130,   265,   147,   262,   262,   262,   262,   147,
     147,   262,   147,   265,   147,   147,   147,   147,   147,   673,
     147,   147,   147,   244,   147,   244,   147,   147,   147,   147,
     244,   147,   147,   147,   147,   147,   147,   636,  1418,  1256,
    1183,   302,   569,   130,   147,   265,   262,   262,   265,   262,
     262,   262,   262,  1508,   262,   319,   262,   262,   262,   262,
     262,    83,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   585,   437,   262,   262,   265,   262,   262,   265,
     262,   264,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   154,   262,   262,   262,   262,   262,   262,   262,   154,
     154,   262,  1458,  1456,   262,   154,   154,   262,   262,   154,
     262,   262,   262,   262,   154,   154,   262,   154,   262,   147,
     147,   147,  1451,  1427,  1443,   554,  1305,  1441,   262,   602,
     262,   661,  1467,   645,  1460,   262,   251,  1432,   123,   543,
     409,  1262,   102,  1267,   191,   262,   262,   267,   267,   267,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   528,   262,   262,   262,   266,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,  1269,    -1,   262,   265,   265,   262,   262,
     262,   262,   262,   262,   262,    -1,    -1,    -1,    -1,    -1,
     267,   267,   267,   267,   263,   267,   267,   265,   265,   262,
     262,    -1,    -1,    -1,   265,   265,   262,    -1,   262,   262,
     262,   262,    -1,    -1,   262,    -1,   262,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,    -1,
      -1,    -1,    -1,    -1,    -1,   280,    -1,    -1,    -1,    -1,
     326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   448
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   269,     0,     1,     5,    16,    20,    25,    33,    40,
      49,    54,    55,    80,    85,    95,   116,   117,   138,   156,
     170,   171,   193,   198,   211,   222,   226,   232,   270,   275,
     283,   289,   305,   319,   325,   331,   340,   354,   378,   404,
     419,   436,   443,   447,   457,   466,   488,   494,   500,   504,
     510,   585,   601,   262,   263,   264,   264,   379,   467,   495,
     332,   264,   505,   264,   420,   489,   405,   264,   326,   355,
     437,   264,   264,   276,   458,   264,   264,   448,   290,     1,
      34,    44,   118,   320,   321,   322,   323,   324,     1,    30,
      31,    38,    78,    83,    84,    90,    91,    99,   101,   126,
     127,   148,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   264,   264,   264,
     264,     1,    79,   501,   502,   503,   264,     1,     4,     7,
       8,    14,    21,    22,    23,    24,    27,    28,    29,    36,
      37,    42,    45,    46,    50,    57,    58,    60,    61,    62,
      63,    70,    76,    77,    86,    89,    98,   105,   107,   109,
     111,   113,   114,   125,   128,   134,   135,   136,   137,   139,
     140,   141,   144,   174,   185,   186,   187,   188,   189,   190,
     191,   192,   220,   223,   245,   246,   247,   249,   250,   255,
     259,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   566,   567,   568,   571,   575,
     579,   580,   581,   582,   583,   584,   264,   264,   264,     1,
     115,   143,   160,   284,   285,   286,   287,   288,   264,   264,
     264,     1,    39,    51,    64,    65,    67,    68,    69,    94,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       1,    34,    73,    82,   106,   110,   118,   122,   123,   212,
     257,   258,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   264,   264,     1,   254,   341,
     342,   343,   344,   345,     1,   118,   444,   445,   446,   264,
     264,   262,   265,   265,   265,   263,   321,   265,   265,   265,
     265,   265,   265,   265,   265,   265,   265,   265,   265,   265,
     263,   587,     1,    17,    18,    26,    52,    53,    81,   100,
     102,   103,   104,   108,   112,   118,   131,   132,   145,   169,
     176,   217,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     1,     3,     6,    13,    20,    47,    71,
      74,    81,    92,   118,   146,   168,   181,   233,   257,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   484,   485,   486,   487,     1,    79,   150,   496,
     497,   498,   499,     1,    97,   118,   150,   333,   334,   335,
     336,   337,   265,   263,   502,     1,   118,   150,   506,   507,
     508,   509,   265,   265,   265,   265,   265,   265,   265,   265,
     265,   265,   265,   265,   265,   265,   265,   265,   265,   265,
     265,   265,   265,   265,   265,   265,   265,   265,   265,   265,
     265,   265,   265,   265,   265,   265,   265,   265,   265,   576,
     265,   572,   565,   265,   265,   265,   265,   265,   265,   265,
     265,   265,   265,   265,   265,   265,   265,   265,   265,   265,
     265,   265,   265,   265,   265,   263,   512,     1,    13,    20,
      47,    81,   142,   151,   152,   177,   181,   256,   421,   422,
     423,   424,   425,   426,   427,   431,   432,   433,   434,   435,
       1,   150,   256,   490,   491,   492,   493,     1,    71,    79,
      81,   146,   233,   406,   410,   411,   412,   416,   417,   418,
     262,   265,   265,   265,   263,   285,     1,    96,   203,   327,
     328,   329,   330,     1,    20,    47,    81,   118,   142,   159,
     175,   181,   182,   234,   256,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   370,   374,     1,    49,
      96,   150,   438,   439,   440,   441,   442,   265,   265,   265,
     265,   265,   265,   265,   265,   263,   603,   262,   265,   265,
     265,   265,   265,   265,   265,   265,   265,   265,   265,   263,
     307,     1,   118,   133,   221,   256,   277,   278,   279,   280,
     281,   282,     1,   118,   252,   459,   460,   461,   462,   262,
     265,   263,   342,   203,   265,   263,   445,     1,   118,   252,
     256,   449,   450,   451,   452,   453,     1,    13,    19,    75,
     118,   183,   184,   291,   292,   293,   294,   295,   296,   297,
     298,   147,   147,   147,   262,   130,   130,   244,   130,   272,
     130,   272,   272,   272,   130,   130,   244,   244,   244,   262,
     262,   265,   265,   265,   265,   265,   401,   265,   265,   265,
     265,   265,   265,   265,   265,   265,   265,   265,   265,   265,
     263,   381,   262,   265,   265,   265,   265,   265,   265,   265,
     481,   265,   265,   265,   265,   265,   265,   265,   263,   469,
     265,   265,   263,   497,   262,   265,   265,   265,   263,   334,
     147,   262,   265,   265,   263,   507,   244,   244,   272,   272,
     147,   147,   147,   244,   244,   130,   130,   244,   147,   130,
     244,   244,   244,   272,   244,   130,   130,   272,   130,   244,
     244,   244,   272,   147,   130,   130,   272,   130,   130,   130,
     130,   244,   244,   265,   244,   265,   265,   244,   272,   272,
     244,   244,   147,   244,   244,   248,   244,   248,   244,   244,
     244,   244,   147,   147,   130,   272,   244,   272,   272,   244,
     244,   262,   262,   265,   265,   265,   428,   265,   265,   265,
     265,   265,   265,   263,   422,   265,   265,   263,   491,   262,
     265,   265,   407,   265,   265,   263,   411,   147,   147,   147,
     262,   262,   265,   265,   263,   328,   262,   265,   265,   375,
     265,   265,   265,   371,   265,   265,   367,   265,   263,   357,
     262,   265,   265,   265,   263,   439,   244,   244,   244,   147,
     244,   244,   244,   272,   262,   147,   244,   147,   130,   130,
     147,   147,   147,   130,   147,   147,   262,   262,   265,   265,
     265,   265,   263,   278,   262,   265,   463,   263,   460,   244,
     262,   264,   147,   262,   262,   265,   454,   265,   263,   450,
     262,   265,   265,   299,   265,   265,   265,   263,   292,   262,
     262,   262,   262,   262,   262,   161,   162,   163,   164,   165,
     166,   167,   271,   272,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   130,   130,   272,   130,   130,   265,
     130,   130,   272,   130,   130,   272,   147,   130,   130,   272,
     130,   274,   274,   274,   262,   147,   208,   209,   147,   147,
     244,   147,   147,   265,   147,   147,   130,   147,   147,   147,
     147,   262,   147,   147,   262,   147,   338,   339,   147,   147,
     262,   262,   147,   147,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   196,   199,   205,   207,   210,   214,   215,   216,
     224,   229,   230,   240,   577,   578,   262,    93,   195,   197,
     200,   204,   213,   218,   228,   230,   235,   573,   574,   196,
     199,   205,   207,   210,   214,   215,   216,   224,   229,   230,
     240,   569,   570,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   147,   147,   244,
     265,   147,   130,   147,   147,   147,   147,   262,   147,   147,
     262,   147,   147,   265,   130,   414,   415,   147,   262,   262,
     262,   262,   147,   147,   262,   147,   244,   265,   147,   147,
     147,   265,   147,   244,   265,   147,   262,   147,   147,   147,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     147,   244,   147,   147,   262,   147,   265,   262,   262,     1,
     118,   227,   252,   346,   347,   348,   349,   350,   262,   147,
     265,   147,   262,   147,   147,   264,   147,   147,   147,   262,
     271,   271,   271,   271,   271,   271,   271,   262,   262,   262,
     262,   262,    66,   149,   402,   403,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,    10,    11,    12,   273,
     274,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,     9,   231,   482,   483,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   266,   262,   262,   262,
     262,   262,   266,   267,   267,   267,   262,   266,   262,   266,
     262,   262,   262,    15,    41,    48,    59,    88,   119,   120,
     121,   129,   157,   178,   243,   429,   430,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,    32,    64,    72,
     221,   231,   408,   409,   251,   266,   413,   262,   262,   262,
     262,   262,     5,    25,    35,    56,    85,    87,   115,   153,
     155,   179,   201,   202,   206,   210,   213,   216,   219,   225,
     236,   239,   241,   242,   253,   261,   376,   377,   262,   262,
     262,    93,   195,   197,   200,   204,   213,   218,   228,   230,
     235,   372,   373,   262,   262,   196,   199,   205,   207,   210,
     214,   215,   216,   224,   229,   230,   240,   368,   369,   262,
     262,   262,   262,   262,   262,   262,   262,   262,    87,   156,
     194,   201,   210,   236,   238,   239,   253,   261,   464,   465,
     262,   265,   265,   351,   263,   347,   262,    87,   156,   173,
     194,   201,   210,   236,   238,   239,   253,   260,   261,   455,
     456,   262,   262,   262,     1,   158,   172,   180,   300,   301,
     302,   303,   304,   262,   262,   262,   262,   266,   273,   273,
     273,   262,   266,   339,   578,   154,   154,   154,   574,   570,
     262,   266,   262,   266,   130,   415,   262,   267,   267,   267,
     262,   266,   267,   267,   267,   262,   266,   262,   266,   262,
     266,   147,   237,   274,   265,   262,   262,   266,   262,   265,
     265,   265,   263,   301,   403,   483,   430,   409,   154,   154,
     154,   377,   154,   154,   154,   373,   369,   465,   262,   262,
     262,    56,    85,    87,   138,   156,   200,   201,   256,   261,
     352,   353,   456,   147,   147,   147,   262,   262,   266,   262,
     262,   262,   353
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   268,   269,   269,   270,   270,   270,   270,   270,   270,
     270,   270,   270,   270,   270,   270,   270,   270,   270,   270,
     270,   270,   270,   270,   270,   270,   270,   270,   270,   270,
     271,   271,   272,   272,   272,   272,   272,   272,   272,   272,
     273,   273,   274,   274,   274,   274,   276,   275,   277,   277,
     278,   278,   278,   278,   278,   279,   280,   281,   282,   283,
     284,   284,   285,   285,   285,   285,   286,   287,   288,   290,
     289,   291,   291,   292,   292,   292,   292,   292,   292,   292,
     293,   294,   295,   296,   297,   299,   298,   300,   300,   301,
     301,   301,   301,   302,   303,   304,   305,   306,   306,   307,
     307,   307,   307,   307,   307,   307,   307,   307,   307,   307,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   320,   321,   321,   321,   321,   322,
     323,   324,   326,   325,   327,   327,   328,   328,   328,   329,
     330,   332,   331,   333,   333,   334,   334,   334,   334,   335,
     336,   337,   338,   338,   339,   340,   341,   341,   342,   342,
     342,   343,   345,   344,   346,   346,   347,   347,   347,   347,
     348,   349,   349,   351,   350,   352,   352,   353,   353,   353,
     353,   353,   353,   353,   353,   353,   355,   354,   356,   356,
     357,   357,   357,   357,   357,   357,   357,   357,   357,   357,
     357,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     367,   366,   368,   368,   369,   369,   369,   369,   369,   369,
     369,   369,   369,   369,   369,   369,   369,   371,   370,   372,
     372,   373,   373,   373,   373,   373,   373,   373,   373,   373,
     373,   373,   373,   373,   375,   374,   376,   376,   377,   377,
     377,   377,   377,   377,   377,   377,   377,   377,   377,   377,
     377,   377,   377,   377,   377,   377,   377,   377,   377,   377,
     377,   377,   377,   377,   377,   379,   378,   380,   380,   381,
     381,   381,   381,   381,   381,   381,   381,   381,   381,   381,
     381,   381,   381,   381,   381,   381,   381,   381,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   401,   400,   402,
     402,   403,   403,   405,   404,   407,   406,   408,   408,   409,
     409,   409,   409,   409,   410,   410,   411,   411,   411,   411,
     411,   411,   413,   412,   414,   414,   415,   415,   416,   417,
     418,   420,   419,   421,   421,   422,   422,   422,   422,   422,
     422,   422,   422,   422,   422,   422,   423,   424,   425,   426,
     428,   427,   429,   429,   430,   430,   430,   430,   430,   430,
     430,   430,   430,   430,   430,   430,   431,   432,   433,   434,
     435,   437,   436,   438,   438,   439,   439,   439,   439,   440,
     441,   442,   443,   444,   444,   445,   445,   446,   448,   447,
     449,   449,   450,   450,   450,   450,   451,   452,   454,   453,
     455,   455,   456,   456,   456,   456,   456,   456,   456,   456,
     456,   456,   456,   456,   458,   457,   459,   459,   460,   460,
     460,   461,   463,   462,   464,   464,   465,   465,   465,   465,
     465,   465,   465,   465,   465,   465,   467,   466,   468,   468,
     469,   469,   469,   469,   469,   469,   469,   469,   469,   469,
     469,   469,   469,   469,   469,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   479,   481,   480,   482,
     482,   483,   483,   484,   485,   486,   487,   489,   488,   490,
     490,   491,   491,   491,   492,   493,   495,   494,   496,   496,
     497,   497,   497,   498,   499,   500,   501,   501,   502,   502,
     503,   505,   504,   506,   506,   507,   507,   507,   508,   509,
     510,   511,   511,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     545,   546,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     565,   564,   566,   567,   568,   569,   569,   570,   570,   570,
     570,   570,   570,   570,   570,   570,   570,   570,   570,   572,
     571,   573,   573,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   574,   574,   574,   576,   575,   577,   577,
     578,   578,   578,   578,   578,   578,   578,   578,   578,   578,
     578,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     586,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     602,   603,   603,   603,   603,   603,   603,   603,   603,   603,
     604,   605,   606,   607,   608,   609,   610,   611
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     0,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       0,     1,     2,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     2,     3,     3,     3,     0,     6,     2,     1,
       1,     1,     1,     1,     2,     4,     4,     4,     4,     5,
       2,     1,     1,     1,     1,     2,     4,     4,     4,     0,
       6,     2,     1,     1,     1,     1,     1,     1,     1,     2,
       4,     4,     4,     4,     4,     0,     6,     2,     1,     1,
       1,     1,     2,     4,     4,     4,     5,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     5,     2,     1,     1,     1,     1,     2,     4,
       4,     4,     0,     6,     2,     1,     1,     1,     2,     4,
       4,     0,     6,     2,     1,     1,     1,     1,     2,     4,
       4,     4,     3,     1,     1,     5,     2,     1,     1,     1,
       2,     4,     0,     6,     2,     1,     1,     1,     1,     2,
       4,     4,     4,     0,     5,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     6,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     4,     4,     4,     4,     4,     4,     4,     4,
       0,     5,     3,     1,     0,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     0,     5,     3,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     0,     5,     3,     1,     3,     1,
       1,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     6,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     0,     5,     3,
       1,     1,     1,     0,     6,     0,     5,     3,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     2,     0,     5,     3,     1,     1,     3,     4,     4,
       4,     0,     6,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     4,     4,     4,     4,
       0,     5,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     4,     4,     4,
       4,     0,     6,     2,     1,     1,     1,     1,     2,     4,
       4,     4,     5,     2,     1,     1,     1,     4,     0,     6,
       2,     1,     1,     1,     1,     2,     4,     4,     0,     5,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     6,     2,     1,     1,     1,
       2,     4,     0,     5,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     6,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     0,     5,     3,
       1,     1,     1,     4,     4,     4,     4,     0,     6,     2,
       1,     1,     1,     1,     4,     4,     0,     6,     2,     1,
       1,     1,     1,     4,     4,     5,     2,     1,     1,     1,
       4,     0,     6,     2,     1,     1,     1,     1,     4,     4,
       5,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       0,     5,     4,     4,     4,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       5,     3,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     0,     5,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     4,     4,     4,     4,     4,     5,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     5,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     4,     4,     4,     4,     4,     4,     4
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 30:
#line 456 "conf_parser.y" /* yacc.c:1646  */
    { (yyval.number) = 0; }
#line 3118 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 32:
#line 458 "conf_parser.y" /* yacc.c:1646  */
    {
			(yyval.number) = (yyvsp[-1].number) + (yyvsp[0].number);
		}
#line 3126 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 33:
#line 462 "conf_parser.y" /* yacc.c:1646  */
    {
			(yyval.number) = (yyvsp[-2].number) + (yyvsp[0].number);
		}
#line 3134 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 34:
#line 466 "conf_parser.y" /* yacc.c:1646  */
    {
			(yyval.number) = (yyvsp[-2].number) * 60 + (yyvsp[0].number);
		}
#line 3142 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 35:
#line 470 "conf_parser.y" /* yacc.c:1646  */
    {
			(yyval.number) = (yyvsp[-2].number) * 60 * 60 + (yyvsp[0].number);
		}
#line 3150 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 36:
#line 474 "conf_parser.y" /* yacc.c:1646  */
    {
			(yyval.number) = (yyvsp[-2].number) * 60 * 60 * 24 + (yyvsp[0].number);
		}
#line 3158 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 37:
#line 478 "conf_parser.y" /* yacc.c:1646  */
    {
			(yyval.number) = (yyvsp[-2].number) * 60 * 60 * 24 * 7 + (yyvsp[0].number);
		}
#line 3166 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 38:
#line 482 "conf_parser.y" /* yacc.c:1646  */
    {
                        (yyval.number) = (yyvsp[-2].number) * 60 * 60 * 24 * 7 * 4 + (yyvsp[0].number);
                }
#line 3174 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 39:
#line 486 "conf_parser.y" /* yacc.c:1646  */
    {
                        (yyval.number) = (yyvsp[-2].number) * 60 * 60 * 24 * 365 + (yyvsp[0].number);
                }
#line 3182 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 40:
#line 491 "conf_parser.y" /* yacc.c:1646  */
    { (yyval.number) = 0; }
#line 3188 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 42:
#line 492 "conf_parser.y" /* yacc.c:1646  */
    { (yyval.number) = (yyvsp[-1].number) + (yyvsp[0].number); }
#line 3194 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 43:
#line 493 "conf_parser.y" /* yacc.c:1646  */
    { (yyval.number) = (yyvsp[-2].number) + (yyvsp[0].number); }
#line 3200 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 44:
#line 494 "conf_parser.y" /* yacc.c:1646  */
    { (yyval.number) = (yyvsp[-2].number) * 1024 + (yyvsp[0].number); }
#line 3206 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 45:
#line 495 "conf_parser.y" /* yacc.c:1646  */
    { (yyval.number) = (yyvsp[-2].number) * 1024 * 1024 + (yyvsp[0].number); }
#line 3212 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 46:
#line 502 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  block_state.ptr.alias = MyMalloc(sizeof(struct alias_entry));
}
#line 3223 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 47:
#line 508 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  dlinkAdd(block_state.ptr.alias, &block_state.ptr.alias->node, &alias_items);
  alias_add(block_state.ptr.alias);
}
#line 3235 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 55:
#line 520 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  struct alias_name *nm = MyMalloc(sizeof(struct alias_name));

  strlcpy(nm->name, yylval.string, sizeof(nm->name));
  nm->parent = block_state.ptr.alias;

  dlinkAdd(nm, &nm->node, &block_state.ptr.alias->names);
}
#line 3251 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 56:
#line 533 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.ptr.alias->user, yylval.string, sizeof(block_state.ptr.alias->user));
}
#line 3260 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 57:
#line 539 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.ptr.alias->server, yylval.string, sizeof(block_state.ptr.alias->server));
}
#line 3269 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 58:
#line 545 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    if (yylval.number)
      block_state.ptr.alias->flags |= CONF_FLAGS_OPER_ONLY;
  }
}
#line 3281 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 66:
#line 563 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    add_conf_module(libio_basename(yylval.string));
}
#line 3290 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 67:
#line 569 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    add_conf_script(yylval.string);
}
#line 3299 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 68:
#line 575 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    mod_add_path(yylval.string);
}
#line 3308 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 69:
#line 582 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 1)
    break;

  block_state.ptr.ssl = sslprofile_create();
}
#line 3319 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 70:
#line 589 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile *profile = block_state.ptr.ssl;
  dlink_node *ptr;

  if (conf_parser_ctx.pass != 1)
    break;

  DLINK_FOREACH(ptr, profile->identities.head)
  {
    struct sslprofile_identity *id = ptr->data;

    if (profile->dh)
      SSL_CTX_set_tmp_dh(id->server_ctx, profile->dh);

#if OPENSSL_VERSION_NUMBER >= 0x009080FFL && !defined(OPENSSL_NO_ECDH)
    if (profile->curve)
      SSL_CTX_set_tmp_ecdh(id->server_ctx, profile->curve);
#endif

    if (!EmptyString(profile->cipher_list))
    {
      SSL_CTX_set_cipher_list(id->server_ctx, profile->cipher_list);

      SSL_CTX_set_cipher_list(id->client_ctx, profile->cipher_list);
    }

    if (!EmptyString(profile->ca_file))
    {
      if (!SSL_CTX_load_verify_locations(id->server_ctx, profile->ca_file, NULL))
      {
        const char *s = ERR_lib_error_string(ERR_get_error());

        ilog(LOG_TYPE_IRCD, "Could not load verify location %s -- %s", profile->ca_file, s);
      }
    }
  }

  dlinkAddTail(block_state.ptr.ssl, &block_state.ptr.ssl->node, &sslprofile_items);
  block_state.ptr.ssl = NULL;
}
#line 3364 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 80:
#line 637 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile *entry = block_state.ptr.ssl;

  if (conf_parser_ctx.pass == 1)
    strlcpy(entry->name, yylval.string, sizeof(entry->name));
}
#line 3375 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 81:
#line 645 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile *entry = block_state.ptr.ssl;

  if (conf_parser_ctx.pass == 1)
  {
    BIO *file = BIO_new_file(yylval.string, "r");

    if (file)
    {
      DH *dh = PEM_read_bio_DHparams(file, NULL, NULL, NULL);

      BIO_free(file);

      if (dh)
      {
        if (DH_size(dh) < 256)
        {
          conf_error_report("Ignoring sslprofile::dh_param_file -- need at least a 2048 bit DH prime size");
          DH_free(dh);
        }
        else
        {
          entry->dh = dh;
        }
      }
    }
    else
      conf_error_report("Ignoring sslprofile::dh_param_file -- could not open/read Diffie-Hellman parameter file");
  }
}
#line 3410 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 82:
#line 677 "conf_parser.y" /* yacc.c:1646  */
    {
#if OPENSSL_VERSION_NUMBER >= 0x009080FFL && !defined(OPENSSL_NO_ECDH)
  struct sslprofile *entry = block_state.ptr.ssl;
  int nid = 0;
  EC_KEY *key = NULL;

  if (conf_parser_ctx.pass == 1)
  {
    if ((nid = OBJ_sn2nid(yylval.string)) == 0)
    {
        conf_error_report("Ignoring sslprofile::dh_elliptic_curve -- unknown curve name");
        break;
    }

    if ((key = EC_KEY_new_by_curve_name(nid)) == NULL)
    {
      conf_error_report("Ignoring sslprofile::dh_elliptic_curve -- could not create curve");
      break;
    }

    entry->curve = key;
  }
#endif
}
#line 3439 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 83:
#line 703 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile *entry = block_state.ptr.ssl;

  if (conf_parser_ctx.pass == 1)
    strlcpy(entry->cipher_list, yylval.string, sizeof(entry->cipher_list));
}
#line 3450 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 84:
#line 711 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile *entry = block_state.ptr.ssl;

  if (conf_parser_ctx.pass == 1)
    strlcpy(entry->ca_file, yylval.string, sizeof(entry->ca_file));
}
#line 3461 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 85:
#line 719 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 1)
    break;

  block_state.ptr.identity = sslprofile_identity_create(block_state.ptr.ssl);
}
#line 3472 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 86:
#line 726 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile *profile = block_state.ptr.ssl;
  struct sslprofile_identity *id = block_state.ptr.identity;

  if (conf_parser_ctx.pass != 1)
    break;

  if (id == NULL)
    break;

  dlinkAddTail(id, &id->node, &profile->identities);
  block_state.ptr.identity = NULL;
}
#line 3490 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 93:
#line 746 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile_identity *entry = block_state.ptr.identity;
  char *str;

  if (conf_parser_ctx.pass != 1)
    break;

  if (entry == NULL)
    break;

  str = xstrdup(yylval.string);
  dlinkAdd(str, make_dlink_node(), &entry->server_names);
}
#line 3508 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 94:
#line 761 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile_identity *entry = block_state.ptr.identity;
  BIO *file = NULL;

  if (conf_parser_ctx.pass != 1)
    break;

  if (entry == NULL)
    break;

  if (entry->rsa_private_key)
  {
    RSA_free(entry->rsa_private_key);
    entry->rsa_private_key = NULL;
  }

  if (entry->rsa_private_key_file)
  {
    MyFree(entry->rsa_private_key_file);
    entry->rsa_private_key_file = NULL;
  }

  entry->rsa_private_key_file = xstrdup(yylval.string);

  if ((file = BIO_new_file(yylval.string, "r")) == NULL)
  {
    conf_error_report("File open failed, ignoring");
    break;
  }

  entry->rsa_private_key = PEM_read_bio_RSAPrivateKey(file, NULL, 0, NULL);

  BIO_set_close(file, BIO_CLOSE);
  BIO_free(file);

  if (entry->rsa_private_key == NULL)
  {
    conf_error_report("Couldn't extract key, ignoring");
    break;
  }

  if (!RSA_check_key(entry->rsa_private_key))
  {
    RSA_free(entry->rsa_private_key);
    entry->rsa_private_key = NULL;

    conf_error_report("Invalid key, ignoring");
    break;
  }

  if (RSA_size(entry->rsa_private_key) < 256)
  {
    RSA_free(entry->rsa_private_key);
    entry->rsa_private_key = NULL;

    conf_error_report("Ignoring sslprofile::identity::rsa_private_key_file -- need at least a 2048 bit key size");
  }
}
#line 3571 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 95:
#line 821 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile_identity *entry = block_state.ptr.identity;

  if (conf_parser_ctx.pass == 1 && entry)
  {
    if (!entry->rsa_private_key_file)
    {
      conf_error_report("No rsa_private_key_file specified, SSL disabled");
      break;
    }

    if (SSL_CTX_use_certificate_chain_file(entry->server_ctx, yylval.string) <= 0 ||
        SSL_CTX_use_certificate_chain_file(entry->client_ctx, yylval.string) <= 0)
    {
      report_crypto_errors();
      conf_error_report("Could not open/read certificate file");
      break;
    }

    if (SSL_CTX_use_PrivateKey_file(entry->server_ctx, entry->rsa_private_key_file,
                                    SSL_FILETYPE_PEM) <= 0 ||
        SSL_CTX_use_PrivateKey_file(entry->client_ctx, entry->rsa_private_key_file,
                                    SSL_FILETYPE_PEM) <= 0)
    {
      report_crypto_errors();
      conf_error_report("Could not read RSA private key");
      break;
    }

    if (!SSL_CTX_check_private_key(entry->server_ctx) ||
        !SSL_CTX_check_private_key(entry->client_ctx))
    {
      report_crypto_errors();
      conf_error_report("Could not read RSA private key");
      break;
    }
  }
}
#line 3614 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 111:
#line 875 "conf_parser.y" /* yacc.c:1646  */
    {
  /* this isn't rehashable */
  if (conf_parser_ctx.pass == 2 && !ServerInfo.name)
  {
    if (valid_servname(yylval.string))
      ServerInfo.name = xstrdup(yylval.string);
    else
    {
      conf_error_report("Ignoring serverinfo::name -- invalid name. Aborting.");
      exit(0);
    }
  }
}
#line 3632 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 112:
#line 890 "conf_parser.y" /* yacc.c:1646  */
    {
  /* this isn't rehashable */
  if (conf_parser_ctx.pass == 2 && !ServerInfo.sid)
  {
    if (valid_sid(yylval.string))
      ServerInfo.sid = xstrdup(yylval.string);
    else
    {
      conf_error_report("Ignoring serverinfo::sid -- invalid SID. Aborting.");
      exit(0);
    }
  }
}
#line 3650 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 113:
#line 905 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ServerInfo.description);
    ServerInfo.description = xstrdup(yylval.string);
  }
}
#line 3662 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 114:
#line 914 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    char *p;

    if ((p = strchr(yylval.string, ' ')) != NULL)
      *p = '\0';

    MyFree(ServerInfo.network_name);
    ServerInfo.network_name = xstrdup(yylval.string);
  }
}
#line 3679 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 115:
#line 928 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  MyFree(ServerInfo.network_desc);
  ServerInfo.network_desc = xstrdup(yylval.string);
}
#line 3691 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 116:
#line 937 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2 && *yylval.string != '*')
  {
    struct addrinfo hints, *res;

    memset(&hints, 0, sizeof(hints));

    hints.ai_family   = AF_UNSPEC;
    hints.ai_socktype = SOCK_STREAM;
    hints.ai_flags    = AI_PASSIVE | AI_NUMERICHOST;

    if (getaddrinfo(yylval.string, NULL, &hints, &res))
      ilog(LOG_TYPE_IRCD, "Invalid netmask for server vhost(%s)", yylval.string);
    else
    {
      assert(res != NULL);

      memcpy(&ServerInfo.ip, res->ai_addr, res->ai_addrlen);
      ServerInfo.ip.ss.ss_family = res->ai_family;
      ServerInfo.ip.ss_len = res->ai_addrlen;
      freeaddrinfo(res);

      ServerInfo.specific_ipv4_vhost = 1;
    }
  }
}
#line 3722 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 117:
#line 965 "conf_parser.y" /* yacc.c:1646  */
    {
#ifdef IPV6
  if (conf_parser_ctx.pass == 2 && *yylval.string != '*')
  {
    struct addrinfo hints, *res;

    memset(&hints, 0, sizeof(hints));

    hints.ai_family   = AF_UNSPEC;
    hints.ai_socktype = SOCK_STREAM;
    hints.ai_flags    = AI_PASSIVE | AI_NUMERICHOST;

    if (getaddrinfo(yylval.string, NULL, &hints, &res))
      ilog(LOG_TYPE_IRCD, "Invalid netmask for server vhost6(%s)", yylval.string);
    else
    {
      assert(res != NULL);

      memcpy(&ServerInfo.ip6, res->ai_addr, res->ai_addrlen);
      ServerInfo.ip6.ss.ss_family = res->ai_family;
      ServerInfo.ip6.ss_len = res->ai_addrlen;
      freeaddrinfo(res);

      ServerInfo.specific_ipv6_vhost = 1;
    }
  }
#endif
}
#line 3755 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 118:
#line 995 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if ((yyvsp[-1].number) < MAXCLIENTS_MIN)
  {
    char buf[IRCD_BUFSIZE];

    snprintf(buf, sizeof(buf), "MAXCLIENTS too low, setting to %d", MAXCLIENTS_MIN);
    conf_error_report(buf);
    ServerInfo.max_clients = MAXCLIENTS_MIN;
  }
  else if ((yyvsp[-1].number) > MAXCLIENTS_MAX)
  {
    char buf[IRCD_BUFSIZE];

    snprintf(buf, sizeof(buf), "MAXCLIENTS too high, setting to %d", MAXCLIENTS_MAX);
    conf_error_report(buf);
    ServerInfo.max_clients = MAXCLIENTS_MAX;
  }
  else
    ServerInfo.max_clients = (yyvsp[-1].number);
}
#line 3783 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1020 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if ((yyvsp[-1].number) < 9)
  {
    conf_error_report("max_nick_length too low, setting to 9");
    ServerInfo.max_nick_length = 9;
  }
  else if ((yyvsp[-1].number) > NICKLEN)
  {
    char buf[IRCD_BUFSIZE];

    snprintf(buf, sizeof(buf), "max_nick_length too high, setting to %d", NICKLEN);
    conf_error_report(buf);
    ServerInfo.max_nick_length = NICKLEN;
  }
  else
    ServerInfo.max_nick_length = (yyvsp[-1].number);
}
#line 3808 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1042 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if ((yyvsp[-1].number) < 80)
  {
    conf_error_report("max_topic_length too low, setting to 80");
    ServerInfo.max_topic_length = 80;
  }
  else if ((yyvsp[-1].number) > TOPICLEN)
  {
    char buf[IRCD_BUFSIZE];

    snprintf(buf, sizeof(buf), "max_topic_length too high, setting to %d", TOPICLEN);
    conf_error_report(buf);
    ServerInfo.max_topic_length = TOPICLEN;
  }
  else
    ServerInfo.max_topic_length = (yyvsp[-1].number);
}
#line 3833 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1064 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ServerInfo.hub = yylval.number;
}
#line 3842 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1079 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  MyFree(AdminInfo.name);
  AdminInfo.name = xstrdup(yylval.string);
}
#line 3854 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1088 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  MyFree(AdminInfo.email);
  AdminInfo.email = xstrdup(yylval.string);
}
#line 3866 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1097 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  MyFree(AdminInfo.description);
  AdminInfo.description = xstrdup(yylval.string);
}
#line 3878 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1109 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    reset_block_state();
}
#line 3887 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1113 "conf_parser.y" /* yacc.c:1646  */
    {
  dlink_node *ptr = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  if (!block_state.file.buf[0])
    break;

  DLINK_FOREACH(ptr, block_state.mask.list.head)
    motd_add(ptr->data, block_state.file.buf);
}
#line 3904 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1130 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    dlinkAdd(xstrdup(yylval.string), make_dlink_node(), &block_state.mask.list);
}
#line 3913 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1136 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.file.buf, yylval.string, sizeof(block_state.file.buf));
}
#line 3922 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1146 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
  {
    reset_block_state();
    block_state.ptr.dnsbl = MyMalloc(sizeof(struct dnsbl_entry));
  }
}
#line 3934 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1154 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
  {
    struct dnsbl_entry *dnsbl = block_state.ptr.dnsbl;

    if (dlink_list_length(&dnsbl->matches) == 0)
    {
      /* Add a default match */
      struct dnsbl_match *match = MyMalloc(sizeof(struct dnsbl_match));
      parse_netmask("127.0.0.0/8", &match->ip, &match->bits);
      dlinkAdd(match, &match->node, &dnsbl->matches);
    }

    dlinkAdd(dnsbl, &dnsbl->node, &dnsbl_items);
  }
}
#line 3955 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1176 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    strlcpy(block_state.ptr.dnsbl->name, yylval.string, sizeof(block_state.ptr.dnsbl->name));
}
#line 3964 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1182 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    strlcpy(block_state.ptr.dnsbl->reason, yylval.string, sizeof(block_state.ptr.dnsbl->reason));
}
#line 3973 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1190 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
  {
    struct dnsbl_match *match = MyMalloc(sizeof(struct dnsbl_match));

    if (parse_netmask((yyvsp[0].string), &match->ip, &match->bits) == HM_IPV4)
    {
      dlinkAdd(match, &match->node, &block_state.ptr.dnsbl->matches);
    }
    else
    {
      char buf[IRCD_BUFSIZE];

      snprintf(buf, sizeof(buf), "dnsbl match %s not an IPv4 mask, ignored", (yyvsp[0].string));
      conf_error_report(buf);

      MyFree(match);
    }
  }
}
#line 3998 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1221 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigLoggingEntry.use_logging = yylval.number;
}
#line 4007 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1227 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    reset_block_state();
}
#line 4016 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1231 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if (block_state.type.value && block_state.file.buf[0])
    log_set_file(block_state.type.value, block_state.size.value,
                 block_state.file.buf);
}
#line 4029 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1247 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  strlcpy(block_state.file.buf, yylval.string, sizeof(block_state.file.buf));
}
#line 4040 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1255 "conf_parser.y" /* yacc.c:1646  */
    {
  block_state.size.value = (yyvsp[-1].number);
}
#line 4048 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1258 "conf_parser.y" /* yacc.c:1646  */
    {
  block_state.size.value = 0;
}
#line 4056 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1263 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = 0;
}
#line 4065 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1270 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_USER;
}
#line 4074 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1274 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_OPER;
}
#line 4083 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1278 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_GLINE;
}
#line 4092 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1282 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_XLINE;
}
#line 4101 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1286 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_RESV;
}
#line 4110 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1290 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_DLINE;
}
#line 4119 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1294 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_KLINE;
}
#line 4128 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1298 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_KILL;
}
#line 4137 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1302 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_DEBUG;
}
#line 4146 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1312 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  reset_block_state();
  block_state.flags.value |= CONF_FLAGS_ENCRYPTED;
}
#line 4158 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1319 "conf_parser.y" /* yacc.c:1646  */
    {
  dlink_node *ptr = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  if (!block_state.name.buf[0])
    break;
  if (!block_state.file.buf[0] &&
      !block_state.rpass.buf[0])
    break;

  DLINK_FOREACH(ptr, block_state.mask.list.head)
  {
    struct MaskItem *conf = NULL;
    struct split_nuh_item nuh;

    nuh.nuhmask  = ptr->data;
    nuh.nickptr  = NULL;
    nuh.userptr  = block_state.user.buf;
    nuh.hostptr  = block_state.host.buf;
    nuh.nicksize = 0;
    nuh.usersize = sizeof(block_state.user.buf);
    nuh.hostsize = sizeof(block_state.host.buf);
    split_nuh(&nuh);

    conf         = conf_make(CONF_OPER);
    conf->name   = xstrdup(block_state.name.buf);
    conf->user   = xstrdup(block_state.user.buf);
    conf->host   = xstrdup(block_state.host.buf);

    if (block_state.cert.buf[0])
      conf->certfp = xstrdup(block_state.cert.buf);

    if (block_state.rpass.buf[0])
      conf->passwd = xstrdup(block_state.rpass.buf);

    conf->flags = block_state.flags.value;
    conf->modes = block_state.modes.value;
    conf->snomask.local = block_state.snomask_local.value;
    conf->snomask.remote = block_state.snomask_remote.value;
    conf->port  = block_state.port.value;
    conf->htype = parse_netmask(conf->host, &conf->addr, &conf->bits);

    conf_add_class_to_conf(conf, block_state.class.buf);

    if (block_state.file.buf[0])
    {
      BIO *file = NULL;
      RSA *pkey = NULL;

      if ((file = BIO_new_file(block_state.file.buf, "r")) == NULL)
      {
        ilog(LOG_TYPE_IRCD, "Ignoring rsa_public_key_file -- file doesn't exist");
        break;
      }

      if ((pkey = PEM_read_bio_RSA_PUBKEY(file, NULL, 0, NULL)) == NULL)
        ilog(LOG_TYPE_IRCD, "Ignoring rsa_public_key_file -- Key invalid; check key syntax");
      else
      {
        if (RSA_size(pkey) > 128)
          ilog(LOG_TYPE_IRCD, "Ignoring rsa_public_key_file -- key size must be 1024 or below");
        else
          conf->rsa_public_key = pkey;
      }

      BIO_set_close(file, BIO_CLOSE);
      BIO_free(file);
    }
  }
}
#line 4235 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1400 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
}
#line 4244 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1406 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    dlinkAdd(xstrdup(yylval.string), make_dlink_node(), &block_state.mask.list);
}
#line 4253 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1412 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.rpass.buf, yylval.string, sizeof(block_state.rpass.buf));
}
#line 4262 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1418 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if (yylval.number)
    block_state.flags.value |= CONF_FLAGS_ENCRYPTED;
  else
    block_state.flags.value &= ~CONF_FLAGS_ENCRYPTED;
}
#line 4276 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1429 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.file.buf, yylval.string, sizeof(block_state.file.buf));
}
#line 4285 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1435 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.cert.buf, yylval.string, sizeof(block_state.cert.buf));
}
#line 4294 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1441 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if (yylval.number)
    block_state.flags.value |= CONF_FLAGS_SSL;
  else
    block_state.flags.value &= ~CONF_FLAGS_SSL;
}
#line 4308 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1452 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.class.buf, yylval.string, sizeof(block_state.class.buf));
}
#line 4317 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1458 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value = 0;
}
#line 4326 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1466 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
      block_state.modes.value |= UMODE_NOCTCP;
}
#line 4335 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1471 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_DEAF;
}
#line 4344 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1476 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
      block_state.modes.value |= UMODE_HIDECHANNELS;
}
#line 4353 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1481 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_OPERWALL;
}
#line 4362 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1486 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_SERVNOTICE;
}
#line 4371 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1491 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_INVISIBLE;
}
#line 4380 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1496 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_WALLOP;
}
#line 4389 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1501 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_SOFTCALLERID;
}
#line 4398 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1506 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_CALLERID;
}
#line 4407 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1511 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_LOCOPS;
}
#line 4416 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1516 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_REGONLY;
}
#line 4425 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1521 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_SPY;
}
#line 4434 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1527 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value = block_state.snomask_remote.value = 0;
}
#line 4443 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1535 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_remote.value |= sno_bots.flag;
}
#line 4452 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1540 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_bots.flag;
}
#line 4461 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1545 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_remote.value |= sno_cconn.flag;
}
#line 4470 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1550 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_cconn.flag;
}
#line 4479 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1555 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_debug.flag;
}
#line 4488 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1560 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_full.flag;
}
#line 4497 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1565 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_skill.flag;
}
#line 4506 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1570 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_nchange.flag;
}
#line 4515 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1575 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_rej.flag;
}
#line 4524 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1580 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_unauth.flag;
}
#line 4533 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1585 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_spy.flag;
}
#line 4542 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1590 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_remote.value |= sno_link.flag;
}
#line 4551 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1595 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
     block_state.snomask_local.value |= sno_link.flag;
}
#line 4560 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1601 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value = 0;
}
#line 4569 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1608 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_KILL_REMOTE;
}
#line 4578 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1612 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_FARCONNECT;
}
#line 4587 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1616 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_N;
}
#line 4596 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1620 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_KILL;
}
#line 4605 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1624 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_CONNECT_REMOTE;
}
#line 4614 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1628 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_CONNECT;
}
#line 4623 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1632 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_SQUIT_REMOTE;
}
#line 4632 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1636 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_SQUIT;
}
#line 4641 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1640 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_K;
}
#line 4650 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1644 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_UNKLINE;
}
#line 4659 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1648 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_DLINE;
}
#line 4668 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1652 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_UNDLINE;
}
#line 4677 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1656 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_XLINE;
}
#line 4686 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1660 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_UNXLINE;
}
#line 4695 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1664 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_GLINE;
}
#line 4704 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1668 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_DIE;
}
#line 4713 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1672 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_RESTART;
}
#line 4722 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1676 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_REHASH;
}
#line 4731 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1680 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_ADMIN;
}
#line 4740 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1684 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_OPERWALL;
}
#line 4749 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1688 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_GLOBOPS;
}
#line 4758 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1692 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_WALLOPS;
}
#line 4767 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1696 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_WALLUSERS;
}
#line 4776 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1700 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_LOCOPS;
}
#line 4785 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1704 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_REMOTEBAN;
}
#line 4794 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1708 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_SET;
}
#line 4803 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1712 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_MODULE;
}
#line 4812 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1722 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 1)
    break;

  reset_block_state();

  block_state.ping_freq.value = DEFAULT_PINGFREQUENCY;
  block_state.con_freq.value  = DEFAULT_CONNECTFREQUENCY;
  block_state.max_total.value = MAXIMUM_LINKS_DEFAULT;
  block_state.max_sendq.value = DEFAULT_SENDQ;
  block_state.max_recvq.value = DEFAULT_RECVQ;
}
#line 4829 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1734 "conf_parser.y" /* yacc.c:1646  */
    {
  struct ClassItem *class = NULL;

  if (conf_parser_ctx.pass != 1)
    break;

  if (!block_state.class.buf[0])
    break;

  if (!(class = class_find(block_state.class.buf, 0)))
    class = class_make();

  class->active = 1;
  MyFree(class->name);
  class->name = xstrdup(block_state.class.buf);
  class->ping_freq = block_state.ping_freq.value;
  class->max_perip = block_state.max_perip.value;
  class->con_freq = block_state.con_freq.value;
  class->max_total = block_state.max_total.value;
  class->max_global = block_state.max_global.value;
  class->max_local = block_state.max_local.value;
  class->soft_sendq = block_state.soft_sendq.value;
  class->flood_burst = block_state.flood_burst.value;
  class->flood_limit = block_state.flood_limit.value;
  class->max_sendq = block_state.max_sendq.value;
  class->max_recvq = block_state.max_recvq.value;

  if (block_state.min_idle.value > block_state.max_idle.value)
  {
    block_state.min_idle.value = 0;
    block_state.max_idle.value = 0;
    block_state.flags.value &= ~CLASS_FLAGS_FAKE_IDLE;
  }

  class->flags = block_state.flags.value;
  class->min_idle = block_state.min_idle.value;
  class->max_idle = block_state.max_idle.value;

  rebuild_cidr_list(class);

  class->cidr_bitlen_ipv4 = block_state.cidr_bitlen_ipv4.value;
  class->cidr_bitlen_ipv6 = block_state.cidr_bitlen_ipv6.value;
  class->number_per_cidr = block_state.number_per_cidr.value;
  class->max_channels = block_state.max_channels.value;
}
#line 4879 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 299:
#line 1798 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    strlcpy(block_state.class.buf, yylval.string, sizeof(block_state.class.buf));
}
#line 4888 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 300:
#line 1804 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.ping_freq.value = (yyvsp[-1].number);
}
#line 4897 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 301:
#line 1810 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.max_perip.value = (yyvsp[-1].number);
}
#line 4906 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 302:
#line 1816 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.con_freq.value = (yyvsp[-1].number);
}
#line 4915 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 303:
#line 1822 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.max_total.value = (yyvsp[-1].number);
}
#line 4924 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 304:
#line 1828 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.max_global.value = (yyvsp[-1].number);
}
#line 4933 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 305:
#line 1834 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.max_local.value = (yyvsp[-1].number);
}
#line 4942 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 306:
#line 1840 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.soft_sendq.value = (yyvsp[-1].number);
}
#line 4951 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 307:
#line 1846 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.flood_burst.value = (yyvsp[-1].number);
}
#line 4960 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 308:
#line 1852 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.flood_limit.value = (yyvsp[-1].number);
}
#line 4969 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 309:
#line 1858 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.max_sendq.value = (yyvsp[-1].number);
}
#line 4978 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 310:
#line 1864 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    if ((yyvsp[-1].number) >= CLIENT_FLOOD_MIN && (yyvsp[-1].number) <= CLIENT_FLOOD_MAX)
      block_state.max_recvq.value = (yyvsp[-1].number);
}
#line 4988 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 311:
#line 1871 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.cidr_bitlen_ipv4.value = (yyvsp[-1].number) > 32 ? 32 : (yyvsp[-1].number);
}
#line 4997 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 312:
#line 1877 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.cidr_bitlen_ipv6.value = (yyvsp[-1].number) > 128 ? 128 : (yyvsp[-1].number);
}
#line 5006 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 313:
#line 1883 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.number_per_cidr.value = (yyvsp[-1].number);
}
#line 5015 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 314:
#line 1889 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 1)
    break;

  block_state.min_idle.value = (yyvsp[-1].number);
  block_state.flags.value |= CLASS_FLAGS_FAKE_IDLE;
}
#line 5027 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 315:
#line 1898 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 1)
    break;

  block_state.max_idle.value = (yyvsp[-1].number);
  block_state.flags.value |= CLASS_FLAGS_FAKE_IDLE;
}
#line 5039 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 316:
#line 1907 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.max_channels.value = (yyvsp[-1].number);
}
#line 5048 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 317:
#line 1913 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.flags.value &= CLASS_FLAGS_FAKE_IDLE;
}
#line 5057 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 321:
#line 1920 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.flags.value |= CLASS_FLAGS_RANDOM_IDLE;
}
#line 5066 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 322:
#line 1924 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.flags.value |= CLASS_FLAGS_HIDE_IDLE_FROM_OPERS;
}
#line 5075 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 323:
#line 1934 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    reset_block_state();
}
#line 5084 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 325:
#line 1940 "conf_parser.y" /* yacc.c:1646  */
    {
  block_state.flags.value = 0;
  *block_state.profile.buf = 0;
}
#line 5093 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 329:
#line 1947 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= LISTENER_SSL;
}
#line 5102 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 330:
#line 1951 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= LISTENER_HIDDEN;
}
#line 5111 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 331:
#line 1955 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
   block_state.flags.value |= LISTENER_SERVER;
}
#line 5120 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 332:
#line 1959 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= LISTENER_HTTP;
}
#line 5129 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 333:
#line 1963 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= LISTENER_DEFER;
}
#line 5138 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 342:
#line 1972 "conf_parser.y" /* yacc.c:1646  */
    {
  block_state.flags.value = 0;
  *block_state.profile.buf = 0;
}
#line 5147 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 346:
#line 1980 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    struct sslprofile *profile = NULL;

    if (block_state.flags.value & LISTENER_SSL)
    {
      if (!dlink_list_length(&sslprofile_items))
      {
        conf_error_report("SSL not available - port closed");
        break;
      }

      profile = sslprofile_find(block_state.profile.buf);
    }

    add_listener((yyvsp[0].number), block_state.addr.buf, block_state.flags.value, profile);
  }
}
#line 5171 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 347:
#line 1999 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    int i;
    struct sslprofile *profile = NULL;

    if (block_state.flags.value & LISTENER_SSL)
    {
      if (!dlink_list_length(&sslprofile_items))
      {
        conf_error_report("SSL not available - port closed");
        break;
      }

      profile = sslprofile_find(block_state.profile.buf);
    }

    for (i = (yyvsp[-2].number); i <= (yyvsp[0].number); ++i)
      add_listener(i, block_state.addr.buf, block_state.flags.value, profile);
  }
}
#line 5197 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2022 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.addr.buf, yylval.string, sizeof(block_state.addr.buf));
}
#line 5206 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2028 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.addr.buf, yylval.string, sizeof(block_state.addr.buf));
}
#line 5215 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2034 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.profile.buf, yylval.string, sizeof(block_state.profile.buf));
}
#line 5224 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2043 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    reset_block_state();
}
#line 5233 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2047 "conf_parser.y" /* yacc.c:1646  */
    {
  dlink_node *ptr = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  DLINK_FOREACH(ptr, block_state.mask.list.head)
  {
    struct MaskItem *conf = NULL;
    struct split_nuh_item nuh;

    nuh.nuhmask  = ptr->data;
    nuh.nickptr  = NULL;
    nuh.userptr  = block_state.user.buf;
    nuh.hostptr  = block_state.host.buf;
    nuh.nicksize = 0;
    nuh.usersize = sizeof(block_state.user.buf);
    nuh.hostsize = sizeof(block_state.host.buf);
    split_nuh(&nuh);

    if (EmptyString(block_state.host.buf))
      continue;

    conf        = conf_make(CONF_CLIENT);
    conf->user  = xstrdup(block_state.user.buf);
    conf->host  = xstrdup(block_state.host.buf);

    if (block_state.rpass.buf[0])
      conf->passwd = xstrdup(block_state.rpass.buf);
    if (block_state.name.buf[0])
      conf->name = xstrdup(block_state.name.buf);

    conf->flags = block_state.flags.value;
    conf->port  = block_state.port.value;

    if (block_state.cert.buf[0])
      conf->certfp = xstrdup(block_state.cert.buf);

    if (block_state.ca.buf[0])
    {
      int ret;

      conf->x509_store = X509_STORE_new();
      ret = X509_STORE_load_locations(conf->x509_store, block_state.ca.buf, NULL);
      if (ret != 1)
      {
        X509_STORE_free(conf->x509_store);
        conf->x509_store = NULL;

        ilog(LOG_TYPE_IRCD, "Unable to load ca_file X509 store %s, ignoring auth block", block_state.ca.buf);
        conf_free(conf);
        continue;
      }
    }

    conf_add_class_to_conf(conf, block_state.class.buf);
    add_conf_by_address(CONF_CLIENT, conf);
  }
}
#line 5297 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2114 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    dlinkAdd(xstrdup(yylval.string), make_dlink_node(), &block_state.mask.list);
}
#line 5306 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2120 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.rpass.buf, yylval.string, sizeof(block_state.rpass.buf));
}
#line 5315 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2126 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.class.buf, yylval.string, sizeof(block_state.class.buf));
}
#line 5324 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2132 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    if (yylval.number)
      block_state.flags.value |= CONF_FLAGS_ENCRYPTED;
    else
      block_state.flags.value &= ~CONF_FLAGS_ENCRYPTED;
  }
}
#line 5338 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2143 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value &= (CONF_FLAGS_ENCRYPTED | CONF_FLAGS_SPOOF_IP);
}
#line 5347 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2150 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_SPOOF_NOTICE;
}
#line 5356 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2154 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_NOLIMIT;
}
#line 5365 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2158 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_EXEMPTKLINE;
}
#line 5374 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2162 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_EXEMPTDNSBL;
}
#line 5383 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2166 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_NEED_IDENTD;
}
#line 5392 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2170 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_CAN_FLOOD;
}
#line 5401 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2174 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_NO_TILDE;
}
#line 5410 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2178 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_EXEMPTGLINE;
}
#line 5419 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2182 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_EXEMPTRESV;
}
#line 5428 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2186 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_WEBIRC;
}
#line 5437 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2190 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_NEED_ACCOUNT;
}
#line 5446 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2194 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_NEED_PASSWORD;
}
#line 5455 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2200 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if (strlen(yylval.string) <= HOSTLEN && valid_hostname(yylval.string))
  {
    strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
    block_state.flags.value |= CONF_FLAGS_SPOOF_IP;
  }
  else
    ilog(LOG_TYPE_IRCD, "Spoof either is too long or contains invalid characters. Ignoring it.");
}
#line 5472 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2214 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
  block_state.flags.value |= CONF_FLAGS_REDIR;
}
#line 5484 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2223 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  block_state.flags.value |= CONF_FLAGS_REDIR;
  block_state.port.value = (yyvsp[-1].number);
}
#line 5496 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2232 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  strlcpy(block_state.cert.buf, yylval.string, sizeof(block_state.cert.buf));
}
#line 5507 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2240 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  strlcpy(block_state.ca.buf, yylval.string, sizeof(block_state.ca.buf));
}
#line 5518 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2252 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  reset_block_state();
  strlcpy(block_state.rpass.buf, CONF_NOREASON, sizeof(block_state.rpass.buf));
}
#line 5530 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2259 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  create_resv(block_state.name.buf, block_state.rpass.buf, &block_state.mask.list);
}
#line 5541 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2270 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
}
#line 5550 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2276 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.rpass.buf, yylval.string, sizeof(block_state.rpass.buf));
}
#line 5559 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2282 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    dlinkAdd(xstrdup(yylval.string), make_dlink_node(), &block_state.mask.list);
}
#line 5568 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2297 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if (valid_servname(yylval.string))
  {
    struct MaskItem *conf = conf_make(CONF_SERVICE);
    conf->name = xstrdup(yylval.string);
  }
}
#line 5583 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2312 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  reset_block_state();

  strlcpy(block_state.name.buf, "*", sizeof(block_state.name.buf));
  strlcpy(block_state.user.buf, "*", sizeof(block_state.user.buf));
  strlcpy(block_state.host.buf, "*", sizeof(block_state.host.buf));
  block_state.flags.value = SHARED_ALL;
}
#line 5599 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2323 "conf_parser.y" /* yacc.c:1646  */
    {
  struct MaskItem *conf = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  conf = conf_make(CONF_ULINE);
  conf->flags = block_state.flags.value;
  conf->name = xstrdup(block_state.name.buf);
  conf->user = xstrdup(block_state.user.buf);
  conf->host = xstrdup(block_state.host.buf);
}
#line 5616 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2340 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
}
#line 5625 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2346 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    struct split_nuh_item nuh;

    nuh.nuhmask  = yylval.string;
    nuh.nickptr  = NULL;
    nuh.userptr  = block_state.user.buf;
    nuh.hostptr  = block_state.host.buf;

    nuh.nicksize = 0;
    nuh.usersize = sizeof(block_state.user.buf);
    nuh.hostsize = sizeof(block_state.host.buf);

    split_nuh(&nuh);
  }
}
#line 5647 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2365 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value = 0;
}
#line 5656 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2372 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_KLINE;
}
#line 5665 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2376 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNKLINE;
}
#line 5674 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2380 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_DLINE;
}
#line 5683 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2384 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNDLINE;
}
#line 5692 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2388 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_XLINE;
}
#line 5701 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2392 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNXLINE;
}
#line 5710 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 428:
#line 2396 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_RESV;
}
#line 5719 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 429:
#line 2400 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNRESV;
}
#line 5728 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 430:
#line 2404 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_LOCOPS;
}
#line 5737 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 431:
#line 2408 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_SESSION;
}
#line 5746 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 432:
#line 2412 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_WLINE;
}
#line 5755 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 433:
#line 2416 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value = SHARED_ALL;
}
#line 5764 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 434:
#line 2425 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  reset_block_state();

  strlcpy(block_state.name.buf, "*", sizeof(block_state.name.buf));
  block_state.flags.value = SHARED_ALL;
}
#line 5778 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 435:
#line 2434 "conf_parser.y" /* yacc.c:1646  */
    {
  struct MaskItem *conf = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  conf = conf_make(CONF_CLUSTER);
  conf->flags = block_state.flags.value;
  conf->name = xstrdup(block_state.name.buf);
}
#line 5793 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 441:
#line 2449 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
}
#line 5802 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 442:
#line 2455 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value = 0;
}
#line 5811 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 446:
#line 2462 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_KLINE;
}
#line 5820 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 447:
#line 2466 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNKLINE;
}
#line 5829 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 448:
#line 2470 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_DLINE;
}
#line 5838 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 449:
#line 2474 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNDLINE;
}
#line 5847 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 450:
#line 2478 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_XLINE;
}
#line 5856 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 451:
#line 2482 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNXLINE;
}
#line 5865 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 452:
#line 2486 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_RESV;
}
#line 5874 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 453:
#line 2490 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNRESV;
}
#line 5883 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 454:
#line 2494 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_LOCOPS;
}
#line 5892 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 455:
#line 2498 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value = SHARED_ALL;
}
#line 5901 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 456:
#line 2507 "conf_parser.y" /* yacc.c:1646  */
    {

  if (conf_parser_ctx.pass != 2)
    break;

  reset_block_state();
  block_state.aftype.value = AF_INET;
  block_state.port.value = PORTNUM;
}
#line 5915 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 457:
#line 2516 "conf_parser.y" /* yacc.c:1646  */
    {
  struct MaskItem *conf = NULL;
  struct addrinfo hints, *res;

  if (conf_parser_ctx.pass != 2)
    break;

  if (!block_state.name.buf[0] ||
      !block_state.host.buf[0])
    break;

  if (!block_state.rpass.buf[0] ||
      !block_state.spass.buf[0])
    break;

  if (has_wildcards(block_state.name.buf))
    break;

  conf = conf_make(CONF_SERVER);
  conf->port = block_state.port.value;
  conf->flags = block_state.flags.value;
  conf->aftype = block_state.aftype.value;
  conf->host = xstrdup(block_state.host.buf);
  conf->name = xstrdup(block_state.name.buf);
  conf->passwd = xstrdup(block_state.rpass.buf);
  conf->spasswd = xstrdup(block_state.spass.buf);

  if (block_state.cert.buf[0])
    conf->certfp = xstrdup(block_state.cert.buf);

  dlinkMoveList(&block_state.leaf.list, &conf->leaf_list);
  dlinkMoveList(&block_state.hub.list, &conf->hub_list);

  if (block_state.bind.buf[0])
  {
    memset(&hints, 0, sizeof(hints));

    hints.ai_family   = AF_UNSPEC;
    hints.ai_socktype = SOCK_STREAM;
    hints.ai_flags    = AI_PASSIVE | AI_NUMERICHOST;

    if (getaddrinfo(block_state.bind.buf, NULL, &hints, &res))
      ilog(LOG_TYPE_IRCD, "Invalid netmask for server vhost(%s)", block_state.bind.buf);
    else
    {
      assert(res != NULL);

      memcpy(&conf->bind, res->ai_addr, res->ai_addrlen);
      conf->bind.ss.ss_family = res->ai_family;
      conf->bind.ss_len = res->ai_addrlen;
      freeaddrinfo(res);
    }
  }

  if (block_state.ca.buf[0])
  {
    int ret;

    conf->x509_store = X509_STORE_new();
    ret = X509_STORE_load_locations(conf->x509_store, block_state.ca.buf, NULL);
    if (ret != 1)
    {
      X509_STORE_free(conf->x509_store);
      conf->x509_store = NULL;

      ilog(LOG_TYPE_IRCD, "Unable to load ca_file X509 store %s, ignoring connect block", block_state.ca.buf);
      conf_free(conf);
      break;
    }
  }

  conf->ssl_profile = xstrdup(block_state.profile.buf);

  conf_add_class_to_conf(conf, block_state.class.buf);
  lookup_confhost(conf);
}
#line 5996 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 476:
#line 2603 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
}
#line 6005 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 477:
#line 2609 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.host.buf, yylval.string, sizeof(block_state.host.buf));
}
#line 6014 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 478:
#line 2615 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.bind.buf, yylval.string, sizeof(block_state.bind.buf));
}
#line 6023 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 479:
#line 2621 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if ((yyvsp[-1].string)[0] == ':')
    conf_error_report("Server passwords cannot begin with a colon");
  else if (strchr((yyvsp[-1].string), ' ') != NULL)
    conf_error_report("Server passwords cannot contain spaces");
  else
    strlcpy(block_state.spass.buf, yylval.string, sizeof(block_state.spass.buf));
}
#line 6039 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 480:
#line 2634 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if ((yyvsp[-1].string)[0] == ':')
    conf_error_report("Server passwords cannot begin with a colon");
  else if (strchr((yyvsp[-1].string), ' ') != NULL)
    conf_error_report("Server passwords cannot contain spaces");
  else
    strlcpy(block_state.rpass.buf, yylval.string, sizeof(block_state.rpass.buf));
}
#line 6055 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 481:
#line 2647 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.cert.buf, yylval.string, sizeof(block_state.cert.buf));
}
#line 6064 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 482:
#line 2653 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.ca.buf, yylval.string, sizeof(block_state.ca.buf));
}
#line 6073 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 483:
#line 2659 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.profile.buf, yylval.string, sizeof(block_state.profile.buf));
}
#line 6082 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 484:
#line 2665 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value = (yyvsp[-1].number);
}
#line 6091 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 485:
#line 2671 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.aftype.value = AF_INET;
}
#line 6100 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 486:
#line 2675 "conf_parser.y" /* yacc.c:1646  */
    {
#ifdef IPV6
  if (conf_parser_ctx.pass == 2)
    block_state.aftype.value = AF_INET6;
#endif
}
#line 6111 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 487:
#line 2683 "conf_parser.y" /* yacc.c:1646  */
    {
  block_state.flags.value &= CONF_FLAGS_ENCRYPTED;
}
#line 6119 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 491:
#line 2689 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_ALLOW_AUTO_CONN;
}
#line 6128 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 492:
#line 2693 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_SSL;
}
#line 6137 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 493:
#line 2699 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    if (yylval.number)
      block_state.flags.value |= CONF_FLAGS_ENCRYPTED;
    else
      block_state.flags.value &= ~CONF_FLAGS_ENCRYPTED;
  }
}
#line 6151 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 494:
#line 2710 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    dlinkAdd(xstrdup(yylval.string), make_dlink_node(), &block_state.hub.list);
}
#line 6160 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 495:
#line 2716 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    dlinkAdd(xstrdup(yylval.string), make_dlink_node(), &block_state.leaf.list);
}
#line 6169 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 496:
#line 2722 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.class.buf, yylval.string, sizeof(block_state.class.buf));
}
#line 6178 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 497:
#line 2732 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    reset_block_state();
}
#line 6187 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 498:
#line 2736 "conf_parser.y" /* yacc.c:1646  */
    {
  struct MaskItem *conf = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  if (!block_state.user.buf[0] ||
      !block_state.host.buf[0])
    break;

  conf = conf_make(CONF_KLINE);
  conf->user = xstrdup(block_state.user.buf);
  conf->host = xstrdup(block_state.host.buf);

  if (block_state.rpass.buf[0])
    conf->reason = xstrdup(block_state.rpass.buf);
  else
    conf->reason = xstrdup(CONF_NOREASON);
  add_conf_by_address(CONF_KLINE, conf);
}
#line 6212 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 504:
#line 2761 "conf_parser.y" /* yacc.c:1646  */
    {

  if (conf_parser_ctx.pass == 2)
  {
    struct split_nuh_item nuh;

    nuh.nuhmask  = yylval.string;
    nuh.nickptr  = NULL;
    nuh.userptr  = block_state.user.buf;
    nuh.hostptr  = block_state.host.buf;

    nuh.nicksize = 0;
    nuh.usersize = sizeof(block_state.user.buf);
    nuh.hostsize = sizeof(block_state.host.buf);

    split_nuh(&nuh);
  }
}
#line 6235 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 505:
#line 2781 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.rpass.buf, yylval.string, sizeof(block_state.rpass.buf));
}
#line 6244 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 506:
#line 2790 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    reset_block_state();
}
#line 6253 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 507:
#line 2794 "conf_parser.y" /* yacc.c:1646  */
    {
  struct MaskItem *conf = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  if (!block_state.addr.buf[0])
    break;

  if (parse_netmask(block_state.addr.buf, NULL, NULL) != HM_HOST)
  {
    conf = conf_make(CONF_DLINE);
    conf->host = xstrdup(block_state.addr.buf);

    if (block_state.rpass.buf[0])
      conf->reason = xstrdup(block_state.rpass.buf);
    else
      conf->reason = xstrdup(CONF_NOREASON);
    add_conf_by_address(CONF_DLINE, conf);
  }
}
#line 6279 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 513:
#line 2820 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.addr.buf, yylval.string, sizeof(block_state.addr.buf));
}
#line 6288 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 514:
#line 2826 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.rpass.buf, yylval.string, sizeof(block_state.rpass.buf));
}
#line 6297 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 520:
#line 2840 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    if (yylval.string[0] && parse_netmask(yylval.string, NULL, NULL) != HM_HOST)
    {
      struct MaskItem *conf = conf_make(CONF_EXEMPT);
      conf->host = xstrdup(yylval.string);

      add_conf_by_address(CONF_EXEMPT, conf);
    }
  }
}
#line 6314 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 521:
#line 2857 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    reset_block_state();
}
#line 6323 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 522:
#line 2861 "conf_parser.y" /* yacc.c:1646  */
    {
  struct MaskItem *conf = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  if (!block_state.name.buf[0])
    break;

  conf = conf_make(CONF_XLINE);
  conf->name = xstrdup(block_state.name.buf);

  if (block_state.rpass.buf[0])
    conf->reason = xstrdup(block_state.rpass.buf);
  else
    conf->reason = xstrdup(CONF_NOREASON);
}
#line 6345 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 528:
#line 2883 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
}
#line 6354 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 529:
#line 2889 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.rpass.buf, yylval.string, sizeof(block_state.rpass.buf));
}
#line 6363 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 597:
#line 2937 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.max_watch = (yyvsp[-1].number);
}
#line 6371 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 598:
#line 2942 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigFileEntry.cycle_on_host_change = yylval.number;
}
#line 6380 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 599:
#line 2948 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ConfigFileEntry.cloak_key1);
    ConfigFileEntry.cloak_key1 = xstrdup(yylval.string);
  }
}
#line 6392 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 600:
#line 2957 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ConfigFileEntry.cloak_key2);
    ConfigFileEntry.cloak_key2 = xstrdup(yylval.string);
  }
}
#line 6404 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 601:
#line 2966 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ConfigFileEntry.cloak_key3);
    ConfigFileEntry.cloak_key3 = xstrdup(yylval.string);
  }
}
#line 6416 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 602:
#line 2975 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigFileEntry.cloak_whois_actually = yylval.number;
}
#line 6425 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 603:
#line 2981 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigFileEntry.account_whois = yylval.number;
}
#line 6434 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 604:
#line 2987 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigFileEntry.glines = yylval.number;
}
#line 6443 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 605:
#line 2993 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigFileEntry.gline_time = (yyvsp[-1].number);
}
#line 6452 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 606:
#line 2999 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigFileEntry.gline_request_time = (yyvsp[-1].number);
}
#line 6461 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 607:
#line 3005 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.gline_min_cidr = (yyvsp[-1].number);
}
#line 6469 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 608:
#line 3010 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.gline_min_cidr6 = (yyvsp[-1].number);
}
#line 6477 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 609:
#line 3015 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ConfigFileEntry.kline_reason);
    ConfigFileEntry.kline_reason = xstrdup(yylval.string);
  }
}
#line 6489 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 610:
#line 3024 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.tkline_expire_notices = yylval.number;
}
#line 6497 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 611:
#line 3029 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.kill_chase_time_limit = (yyvsp[-1].number);
}
#line 6505 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 612:
#line 3034 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.hide_spoof_ips = yylval.number;
}
#line 6513 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 613:
#line 3039 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.ignore_bogus_ts = yylval.number;
}
#line 6521 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 614:
#line 3044 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.failed_oper_notice = yylval.number;
}
#line 6529 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 615:
#line 3049 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.anti_nick_flood = yylval.number;
}
#line 6537 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 616:
#line 3054 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.max_nick_time = (yyvsp[-1].number);
}
#line 6545 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 617:
#line 3059 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.max_nick_changes = (yyvsp[-1].number);
}
#line 6553 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 618:
#line 3064 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.max_accept = (yyvsp[-1].number);
}
#line 6561 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 619:
#line 3069 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.anti_spam_exit_message_time = (yyvsp[-1].number);
}
#line 6569 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 620:
#line 3074 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.ts_warn_delta = (yyvsp[-1].number);
}
#line 6577 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 621:
#line 3079 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigFileEntry.ts_max_delta = (yyvsp[-1].number);
}
#line 6586 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 622:
#line 3085 "conf_parser.y" /* yacc.c:1646  */
    {
  if (((yyvsp[-1].number) > 0) && conf_parser_ctx.pass == 1)
  {
    ilog(LOG_TYPE_IRCD, "You haven't read your config file properly.");
    ilog(LOG_TYPE_IRCD, "There is a line in the example conf that will kill your server if not removed.");
    ilog(LOG_TYPE_IRCD, "Consider actually reading/editing the conf file, and removing this line.");
    exit(0);
  }
}
#line 6600 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 623:
#line 3096 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.invisible_on_connect = yylval.number;
}
#line 6608 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 624:
#line 3101 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.warn_no_nline = yylval.number;
}
#line 6616 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 625:
#line 3106 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_e_disabled = yylval.number;
}
#line 6624 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 626:
#line 3111 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_o_oper_only = yylval.number;
}
#line 6632 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 627:
#line 3116 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_P_oper_only = yylval.number;
}
#line 6640 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 628:
#line 3121 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_u_oper_only = yylval.number;
}
#line 6648 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 629:
#line 3126 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_k_oper_only = 2 * yylval.number;
}
#line 6656 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 630:
#line 3129 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_k_oper_only = 1;
}
#line 6664 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 631:
#line 3134 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_i_oper_only = 2 * yylval.number;
}
#line 6672 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 632:
#line 3137 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_i_oper_only = 1;
}
#line 6680 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 633:
#line 3142 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_m_oper_only = yylval.number;
}
#line 6688 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 634:
#line 3147 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.pace_wait = (yyvsp[-1].number);
}
#line 6696 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 635:
#line 3152 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.caller_id_wait = (yyvsp[-1].number);
}
#line 6704 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 636:
#line 3157 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.opers_bypass_callerid = yylval.number;
}
#line 6712 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 637:
#line 3162 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.pace_wait_simple = (yyvsp[-1].number);
}
#line 6720 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 638:
#line 3167 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.short_motd = yylval.number;
}
#line 6728 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 639:
#line 3172 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.no_oper_flood = yylval.number;
}
#line 6736 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 640:
#line 3177 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_pass_resv = yylval.number;
}
#line 6744 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 641:
#line 3182 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.dots_in_ident = (yyvsp[-1].number);
}
#line 6752 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 642:
#line 3187 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.max_targets = (yyvsp[-1].number);
}
#line 6760 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 643:
#line 3192 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2 && valid_servname(yylval.string))
  {
    MyFree(ConfigFileEntry.service_name);
    ConfigFileEntry.service_name = xstrdup(yylval.string);
  }
}
#line 6772 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 644:
#line 3201 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ConfigFileEntry.sasl_name);
    ConfigFileEntry.sasl_name = xstrdup(yylval.string);
  }
}
#line 6784 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 645:
#line 3210 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.ping_cookie = yylval.number;
}
#line 6792 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 646:
#line 3215 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.nick_collide_realhost = yylval.number;
}
#line 6800 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 647:
#line 3220 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.disable_auth = yylval.number;
}
#line 6808 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 648:
#line 3225 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.throttle_num = yylval.number;
}
#line 6816 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 649:
#line 3230 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.throttle_time = (yyvsp[-1].number);
}
#line 6824 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 650:
#line 3235 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes = 0;
}
#line 6832 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 652:
#line 3240 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.enable_extbans = yylval.number;
}
#line 6840 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 653:
#line 3245 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.enable_forwarding = yylval.number;
}
#line 6848 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 654:
#line 3250 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    if ((ConfigFileEntry.message_digest_algorithm = EVP_get_digestbyname(yylval.string)) == NULL)
    {
      ConfigFileEntry.message_digest_algorithm = EVP_sha1();
      conf_error_report("Ignoring general::ssl_message_digest_algorithm -- unknown message digest algorithm");
    }
  }
}
#line 6863 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 657:
#line 3263 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_NOCTCP;
}
#line 6871 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 658:
#line 3267 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_DEAF;
}
#line 6879 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 659:
#line 3271 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_HIDECHANNELS;
}
#line 6887 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 660:
#line 3275 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_OPERWALL;
}
#line 6895 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 661:
#line 3279 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_SERVNOTICE;
}
#line 6903 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 662:
#line 3283 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_INVISIBLE;
}
#line 6911 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 663:
#line 3287 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_WALLOP;
}
#line 6919 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 664:
#line 3291 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_SOFTCALLERID;
}
#line 6927 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 665:
#line 3295 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_CALLERID;
}
#line 6935 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 666:
#line 3299 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_LOCOPS;
}
#line 6943 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 667:
#line 3303 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_REGONLY;
}
#line 6951 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 668:
#line 3307 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_SPY;
}
#line 6959 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 669:
#line 3312 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local = ConfigFileEntry.oper_snomasks.remote = 0;
}
#line 6967 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 673:
#line 3319 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.remote |= sno_bots.flag;
}
#line 6975 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 674:
#line 3323 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_bots.flag;
}
#line 6983 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 675:
#line 3327 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.remote |= sno_cconn.flag;
}
#line 6991 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 676:
#line 3331 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_cconn.flag;
}
#line 6999 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 677:
#line 3335 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_debug.flag;
}
#line 7007 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 678:
#line 3339 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_nchange.flag;
}
#line 7015 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 679:
#line 3343 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_full.flag;
}
#line 7023 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 680:
#line 3347 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_skill.flag;
}
#line 7031 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 681:
#line 3351 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_rej.flag;
}
#line 7039 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 682:
#line 3355 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_unauth.flag;
}
#line 7047 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 683:
#line 3359 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_spy.flag;
}
#line 7055 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 684:
#line 3363 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.remote |= sno_link.flag;
}
#line 7063 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 685:
#line 3367 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_link.flag;
}
#line 7071 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 686:
#line 3372 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes = 0;
}
#line 7079 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 690:
#line 3378 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_NOCTCP;
}
#line 7087 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 691:
#line 3382 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_DEAF;
}
#line 7095 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 692:
#line 3386 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_HIDECHANNELS;
}
#line 7103 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 693:
#line 3390 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_OPERWALL;
}
#line 7111 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 694:
#line 3394 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_SERVNOTICE;
}
#line 7119 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 695:
#line 3398 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_INVISIBLE;
}
#line 7127 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 696:
#line 3402 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_WALLOP;
}
#line 7135 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 697:
#line 3406 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_SOFTCALLERID;
}
#line 7143 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 698:
#line 3410 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_CALLERID;
}
#line 7151 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 699:
#line 3414 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_LOCOPS;
}
#line 7159 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 700:
#line 3418 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_REGONLY;
}
#line 7167 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 701:
#line 3422 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_SPY;
}
#line 7175 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 702:
#line 3427 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ConfigFileEntry.disable_chmodes);
    ConfigFileEntry.disable_chmodes = xstrdup(yylval.string);
  }
}
#line 7187 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 703:
#line 3436 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.use_target_change = yylval.number;
}
#line 7195 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 704:
#line 3441 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.min_nonwildcard = (yyvsp[-1].number);
}
#line 7203 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 705:
#line 3446 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.min_nonwildcard_simple = (yyvsp[-1].number);
}
#line 7211 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 706:
#line 3451 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.default_floodcount = (yyvsp[-1].number);
}
#line 7219 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 707:
#line 3456 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.default_floodtime = (yyvsp[-1].number);
}
#line 7227 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 725:
#line 3480 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.disable_fake_channels = yylval.number;
}
#line 7235 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 726:
#line 3485 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.knock_delay = (yyvsp[-1].number);
}
#line 7243 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 727:
#line 3490 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.knock_delay_channel = (yyvsp[-1].number);
}
#line 7251 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 728:
#line 3495 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.max_chans_per_user = (yyvsp[-1].number);
}
#line 7259 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 729:
#line 3500 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.max_bans = (yyvsp[-1].number);
}
#line 7267 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 730:
#line 3505 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.default_split_user_count = (yyvsp[-1].number);
}
#line 7275 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 731:
#line 3510 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.default_split_server_count = (yyvsp[-1].number);
}
#line 7283 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 732:
#line 3515 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.no_create_on_split = yylval.number;
}
#line 7291 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 733:
#line 3520 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.no_join_on_split = yylval.number;
}
#line 7299 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 734:
#line 3525 "conf_parser.y" /* yacc.c:1646  */
    {
  GlobalSetOptions.joinfloodcount = yylval.number;
}
#line 7307 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 735:
#line 3530 "conf_parser.y" /* yacc.c:1646  */
    {
  GlobalSetOptions.joinfloodtime = (yyvsp[-1].number);
}
#line 7315 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 736:
#line 3535 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.quiet_on_ban = yylval.number;
}
#line 7323 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 737:
#line 3540 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.invite_throttle = (yyvsp[-1].number);
}
#line 7331 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 750:
#line 3560 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigServerHide.flatten_links = yylval.number;
}
#line 7340 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 751:
#line 3566 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigServerHide.disable_remote_commands = yylval.number;
}
#line 7349 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 752:
#line 3572 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigServerHide.hide_servers = yylval.number;
}
#line 7358 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 753:
#line 3578 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigServerHide.hide_services = yylval.number;
}
#line 7367 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 754:
#line 3584 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ConfigServerHide.hidden_name);
    ConfigServerHide.hidden_name = xstrdup(yylval.string);
  }
}
#line 7379 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 755:
#line 3593 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    if (((yyvsp[-1].number) > 0) && ConfigServerHide.links_disabled == 1)
    {
      eventAddIsh("write_links_file", write_links_file, NULL, (yyvsp[-1].number));
      ConfigServerHide.links_disabled = 0;
    }

    ConfigServerHide.links_delay = (yyvsp[-1].number);
  }
}
#line 7396 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 756:
#line 3607 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigServerHide.hidden = yylval.number;
}
#line 7405 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 757:
#line 3613 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigServerHide.hide_server_ips = yylval.number;
}
#line 7414 "conf_parser.c" /* yacc.c:1646  */
    break;


#line 7418 "conf_parser.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
